image phone_case:
    "gui/cellphone/Phone_HomepageEmpty01.png"
    zoom 1.14
    xalign 0.5
    yalign 0.5

init python:
    from datetime import datetime, date, time

screen clock():
    add "gui/cellphone/taskbar.png"
    if persistent.phone_clock == "In-game":
        text "[time_now] [time_suffix]" style "phone_taskbar" xalign 0.5 yalign 0.153
    elif persistent.phone_clock == "Local":
        text "[real_time]" style "phone_taskbar" xalign 0.5 yalign 0.153

    hbox:
        xalign 0.5 yalign 0.153 spacing 175
        hbox:
            spacing 18
            text "{size=25}•••{/size}" style "phone_taskbar" ypos -4
            text "DAZ 3G" style "phone_taskbar"
        hbox:
            spacing 8
            text "[battery_now]" style "phone_taskbar"
            text "[battery_bars]" style "battery_bars"

style battery_bars:
    font "fonts/random/Arimo-Regular.ttf"
    size 18
    color "#212121"
    ypos 2
    kerning -2

style phone_taskbar:
    size 20
    font "fonts/Nunito/nunito-bold.ttf"
    color "#212121"

screen rollbackProtection():
    key "rollback" action NullAction()
    key "rollforward" action NullAction()
    key "skip" action NullAction()
    key "stop_skipping" action NullAction()
    key "toggle_skip" action NullAction()
    key "fast_skip" action NullAction()

label phone:
    $ renpy.retain_after_load()
    call screen phone
    return

screen phone():
    modal True
    use rollbackProtection
    add "images/dark_screen.png"
    add "gui/cellphone/wallpaper/wp_[persistent.phone_wallpaper].png"
    add "gui/cellphone/overlay.png"
    use clock
    add "gui/cellphone/Phone_HomepageEmpty01.png"
    add "gui/cellphone/dots.png" xpos -10

    vbox:
        xalign 0.5
        ypos 565
        spacing 30
        hbox:
            spacing 20
            vbox:
                spacing 6
                imagebutton auto "gui/cellphone/icon_AIAD_%s.png" hover_sound sound_menu_button action [Show("AI_welcome"), Hide("phone"), Stop("music"), Play("music_AIAD", MedievalMandola)]
                text "AI Adven..." xalign 0.5 style "phone_icon"

            vbox:
                spacing 6
                imagebutton auto "gui/cellphone/icon_ember_%s.png" hover_sound sound_menu_button action [
                    SetVariable("ember_status", "none"),
                    SetVariable("ember_match", "none"),
                    SetVariable("emberViewingImage", "None"),
                    If(ember_setup == 0, Show("ember_login")),
                    If(ember_setup > 0, Show("ember")),
                    Hide("phone"),
                    SetVariable("ember_unseen", False),
                    SelectedIf(ember_unseen == True)]
                text "Ember" xalign 0.5 style "phone_icon"

        hbox:
            spacing 20
            vbox:
                spacing 6
                imagebutton auto "gui/cellphone/icon_gallery_%s.png" hover_sound sound_menu_button action Show("phone_gallery"), Hide("phone")
                text "Gallery" xalign 0.5 style "phone_icon"
            vbox:
                spacing 6
                imagebutton auto "gui/cellphone/icon_contacts_%s.png" hover_sound sound_menu_button action [Show("phone_contacts"), Hide("phone"), SetVariable("contacts_unseen", False),
                    SelectedIf(contacts_unseen == True)]
                text "Contacts" xalign 0.5 style "phone_icon"
            vbox:
                spacing 6
                imagebutton auto "gui/cellphone/icon_settings_%s.png" hover_sound sound_menu_button action Show("phone_settings"), Hide("phone")
                text "Settings" xalign 0.5 style "phone_icon"
            vbox:
                spacing 6
                imagebutton auto "gui/cellphone/icon_patreon_%s.png" hover_sound sound_menu_button action OpenURL("https://www.patreon.com/naughtyfoxgames")
                text "Patreon" xalign 0.5 style "phone_icon"

    use close_phone

screen phone_IB():
    imagebutton auto "gui/cellphone/phone_IB_%s.png" hover_sound sound_menu_button focus_mask True action [
        SetVariable("phone_unseen", False), SelectedIf(phone_unseen == True), Call("phone")] tooltip "Your phone. Use it to chat, play games, and more."

screen phone_gallery():

    modal True tag phone_gallery
    use rollbackProtection
    add "images/dark_screen.png"
    use close_phone
    add "gui/cellphone/PHONE_MainCharacter_GalleryBG.png"
    use clock
    default viewing = False

    if viewing == True:
        add "gui/cellphone/wallpaper/wp_[viewing_camera].png"
        hbox:
            xalign 0.5 ypos 855 spacing 5
            textbutton "Set As Wallpaper" style "my_menu_button" action SetVariable("persistent.phone_wallpaper", viewing_camera), SetVariable("viewing_camera", "None"), Show("phone"), SetScreenVariable("viewing", False), Hide("phone_gallery")
            textbutton "Back" style "my_menu_button" action SetVariable("viewing_camera", "None"), SetScreenVariable("viewing", False)

    elif viewing == False:
        textbutton "X" style "xbutton" action Show("phone"), Hide("phone_gallery")
        text "Gallery" style "phone_title"
        frame:
            background None
            xpos 758
            ypos 260
            has side ("c r"):
                area (1,0,392,630)
            viewport id "my_scroller":
                draggable True mousewheel True
                has vbox:
                    spacing 8
                hbox:
                    spacing 8
                    imagebutton auto "gui/cellphone/wallpaper/homepage_01_%s.png" action SetVariable("viewing_camera", "homepage_01"), SetScreenVariable("viewing", True)
                    imagebutton auto "gui/cellphone/wallpaper/homepage_04_%s.png" action SetVariable("viewing_camera", "homepage_04"), SetScreenVariable("viewing", True)
                hbox:
                    spacing 8
                    imagebutton auto "gui/cellphone/wallpaper/homepage_03_%s.png" action SetVariable("viewing_camera", "homepage_03"), SetScreenVariable("viewing", True)
                    imagebutton auto "gui/cellphone/wallpaper/homepage_02_%s.png" action SetVariable("viewing_camera", "homepage_02"), SetScreenVariable("viewing", True)
                hbox:
                    spacing 8
                    imagebutton auto "gui/cellphone/wallpaper/homepage_05_%s.png" action SetVariable("viewing_camera", "homepage_05"), SetScreenVariable("viewing", True)
                    imagebutton auto "gui/cellphone/wallpaper/homepage_06_%s.png" action SetVariable("viewing_camera", "homepage_06"), SetScreenVariable("viewing", True)

                hbox:
                    spacing 8
                    imagebutton auto "gui/cellphone/wallpaper/camera_02_%s.png" action SetVariable("viewing_camera", "camera_02"), SetScreenVariable("viewing", True)
                    if persistent.unlocked_nina_01:
                        imagebutton auto "gui/cellphone/wallpaper/ember_nina_02_%s.png" action SetVariable("viewing_camera", "nina_02"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"

                hbox:
                    spacing 8
                    if persistent.unlocked_nina_02:
                        imagebutton auto "gui/cellphone/wallpaper/ember_nina_01_%s.png" action SetVariable("viewing_camera", "nina_01"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"
                    if persistent.unlocked_becca_01:
                        imagebutton auto "gui/cellphone/wallpaper/ember_becca_01_%s.png" action SetVariable("viewing_camera", "becca_01"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"

                hbox:
                    spacing 8
                    if persistent.unlocked_becca_02:
                        imagebutton auto "gui/cellphone/wallpaper/ember_becca_02_%s.png" action SetVariable("viewing_camera", "becca_02"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"
                    if persistent.unlocked_becca_03:
                        imagebutton auto "gui/cellphone/wallpaper/ember_becca_03_%s.png" action SetVariable("viewing_camera", "becca_03"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"

                hbox:
                    spacing 8
                    if persistent.unlocked_becca_04:
                        imagebutton auto "gui/cellphone/wallpaper/ember_becca_04_%s.png" action SetVariable("viewing_camera", "becca_04"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"
                    if persistent.unlocked_cass_02:
                        imagebutton auto "gui/cellphone/wallpaper/cass_02_%s.png" action SetVariable("viewing_camera", "cass_02"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"

                hbox:
                    spacing 8
                    if persistent.unlocked_cass_03:
                        imagebutton auto "gui/cellphone/wallpaper/cass_03_%s.png" action SetVariable("viewing_camera", "cass_03"), SetScreenVariable("viewing", True)
                    else:
                        add "gui/cellphone/wallpaper/image_not_found_idle.png"

            vbar value YScrollValue("my_scroller") style "gallery_bar"

    add "gui/cellphone/Phone_HomepageEmpty01.png"

screen phone_settings():
    modal True
    use rollbackProtection
    add "images/dark_screen.png"
    use close_phone
    add "gui/cellphone/PHONE_MainCharacter_SettingsBG.png"
    use clock
    add "gui/cellphone/Phone_HomepageEmpty01.png"

    textbutton "X" style "xbutton" action Hide("phone_settings"), Show("phone")
    text "Settings" style "phone_title"

    frame:
        background None
        xpos 758
        ypos 260
        has side ("c r"):
            area (1,0,392,630)
        viewport id "my_scroller":
            draggable True mousewheel True
            has vbox
            vbox:
                spacing 8
                vbox:
                    text "Local Time" style "phone_settings2"
                    text "Enable local time on the phone." style "phone_settings_normal"
                    hbox:
                        textbutton "ON" style "phone_settings_button" action If(persistent.phone_clock == "In-game", SetVariable("persistent.phone_clock", "Local")), SelectedIf(persistent.phone_clock == "Local")
                        textbutton "OFF" style "phone_settings_button" action If(persistent.phone_clock == "Local", SetVariable("persistent.phone_clock", "In-game")), SelectedIf(persistent.phone_clock == "In-game")

                vbox:
                    hbox:
                        text "Ember" style "phone_settings2"
                        imagebutton:
                            idle "gui/cellphone/ember/emberPlus2.png" action NullAction() ypos 8 xpos 14
                    text "Ember Plus enables you to reset chats and rewind on people you previously unmatched. Only $20.01 /month!" style "phone_settings_normal"
                    hbox:
                        textbutton "ON" style "phone_settings_button" action If(emberPlus == False, SetVariable("emberPlus", True)), SelectedIf(emberPlus == True)
                        textbutton "OFF" style "phone_settings_button" action If(emberPlus == True, SetVariable("emberPlus", False)), SelectedIf(emberPlus == False)

        vbar value YScrollValue("my_scroller") style "settings_bar"

default phone_contact = "None"
screen phone_contacts():

    modal True tag phone_contacts
    use rollbackProtection
    add "images/dark_screen.png"
    use close_phone
    add "gui/cellphone/Phone_Screen_Contacts.png"
    add "gui/cellphone/contacts_icons.png"
    use clock

    textbutton "X" style "xbutton" action Hide("phone_contacts"), Show("phone")
    text "Contacts" style "phone_title"

    frame:
        background None
        xpos 758
        ypos 260
        has side ("c r"):
            area (1,0,392,630)
        viewport id "my_scroller":
            draggable True mousewheel True
            has vbox:
                spacing 12
            if ch4_bree_number:
                if breePhoneNickname == "Bree <3":
                    imagebutton auto "gui/cellphone/portraits/bree2_%s.png" hover_sound sound_menu_button action [Show("phone_messages"),
                                SetVariable("phone_contact", "Bree"),
                                SetVariable("contacts_unseen_bree", False),
                                SelectedIf(contacts_unseen_bree == True)]

                else:
                    imagebutton auto "gui/cellphone/portraits/bree_%s.png" hover_sound sound_menu_button action [Show("phone_messages"),
                                SetVariable("phone_contact", "Bree"),
                                SetVariable("contacts_unseen_bree", False),
                                SelectedIf(contacts_unseen_bree == True)]


            if got_milf_number:
                if ch4_cassandra:
                    imagebutton auto "gui/cellphone/portraits/cassandra_%s.png" hover_sound sound_menu_button action [Show("phone_messages"),
                                SetVariable("phone_contact", "milf"),
                                SetVariable("contacts_unseen_milf", False),
                                SelectedIf(contacts_unseen_milf == True)]
                else:
                    imagebutton auto "gui/cellphone/portraits/milf_%s.png" hover_sound sound_menu_button action [Show("phone_messages"),
                                SetVariable("phone_contact", "milf"),
                                SetVariable("contacts_unseen_milf", False),
                                SelectedIf(contacts_unseen_milf == True)]

            imagebutton auto "gui/cellphone/portraits/mia_%s.png" hover_sound sound_menu_button action [Show("phone_messages"),
                        SetVariable("phone_contact", "Mia"),
                        SetVariable("contacts_unseen_mia", False),
                        SelectedIf(contacts_unseen_mia == True)]

            imagebutton auto "gui/cellphone/portraits/mike_%s.png" hover_sound sound_menu_button action [Show("phone_messages"),
                        SetVariable("phone_contact", "Mike"),
                        SetVariable("contacts_unseen_mike", False),
                        SelectedIf(contacts_unseen_mike == True)]

            imagebutton auto "gui/cellphone/portraits/mom_%s.png" hover_sound sound_menu_button action [Show("phone_messages"),
                        SetVariable("phone_contact", "Mom"),
                        SetVariable("contacts_unseen_mom", False),
                        SelectedIf(contacts_unseen_mom == True)]

        vbar value YScrollValue("my_scroller") style "contacts_bar"

    add "gui/cellphone/Phone_HomepageEmpty01.png"

screen phone_messages():

    modal True tag phone_contacts
    use rollbackProtection
    add "images/dark_screen.png"
    use close_phone
    add "gui/cellphone/Phone_Screen_Messages.png"
    add "gui/cellphone/message_icons.png"
    add "gui/cellphone/message_type.png"
    use clock

    textbutton "X" style "xbutton" action Show("phone_contacts"), SetVariable("phone_contact", "None")

    if phone_contact == "milf":
        text "[milfPhoneNickname]" style "phone_settings" yalign 0.196 xpos 830

    elif phone_contact == "Bree":
        text "[breePhoneNickname]" style "phone_settings" yalign 0.196 xpos 830

    else:
        text "[phone_contact]" style "phone_settings" yalign 0.196 xpos 830

    if phone_contact == "Mike":
        use messages_mike
        add "gui/cellphone/portraits/mike.png"

    elif phone_contact == "Mia":
        use messages_mia
        add "gui/cellphone/portraits/mia.png"

    elif phone_contact == "Mom":
        use messages_mom
        add "gui/cellphone/portraits/mom.png"

    elif phone_contact == "milf":
        use messages_milf
        add "gui/cellphone/portraits/unknown.png"

    elif phone_contact == "Bree":
        use messages_bree
        add "gui/cellphone/portraits/bree.png"

    add "gui/cellphone/Phone_HomepageEmpty01.png"


screen refresh_msg():
    timer 0.01 action [
        Hide("messages_bree"),
        Hide("messages_mike"),
        Hide("messages_mia"),
        Hide("messages_mom"),
        Hide("messages_milf"),
        Hide("phone_messages"),
        Show("phone_messages"),
        Play("sound", [ember_message]),
        Hide("refresh_msg")]


screen refresh_msg_silent():
    timer 0.01 action [
        Hide("messages_bree"),
        Hide("messages_mike"),
        Hide("messages_mia"),
        Hide("messages_mom"),
        Hide("messages_milf"),
        Hide("phone_messages"),
        Show("phone_messages"),
        Hide("refresh_msg")]

screen messages_mike():
    vbox:
        xpos 1115 yalign 0.65 spacing 15
        if currentChapter == 4:
            if not ch4mike_texted:
                button:
                    style "BR2" action SetVariable("ch4mike_texted", True), Show("refresh_msg")
                    text "What are you doing on your phone?" style "self2"
            elif ch4mike_ch1 == False:
                button:
                    style "BR1_50" action SetVariable("ch4mike_ch1", True), Show("refresh_msg")
                    text "Is she hot?" style "self2" xpos 9
            elif ch4mike_ch2 == 0:
                button:
                    style "BR1_35" action SetVariable("ch4mike_ch2", 1), Show("refresh_msg")
                    text "Dude." style "self2"
                button:
                    style "BR2" action SetVariable("ch4mike_ch2", 2), Show("refresh_msg")
                    text "Don't talk about my mom that way." style "self2"

            elif ch4mike_ch3 == 0:
                button:
                    style "BR1_25" action SetVariable("ch4mike_ch3", 1), Show("refresh_msg")
                    add "Emojis/facepalm.png" ypos 10 xpos 15
                button:
                    style "BR1" action SetVariable("ch4mike_ch3", 2), Show("refresh_msg")
                    text "Go touch grass instead." style "self2"

    frame:
        background None
        xpos 758
        ypos 260
        has side ("c r"):
            area (1,0,392,570)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            if day == 1:
                text "Today" style "timestamp" xalign 0.82
            else:
                text "16 June" style "timestamp" xalign 0.85
            button:
                style "O1_35" action NullAction()
                text "dude" style "other2"
            button:
                style "O1_55" action NullAction()
                text "where r u?" style "other2"
            button:
                style "B2" action NullAction()
                text "I'm already on, where are YOU?" style "self2"
            button:
                style "O1_30" action NullAction()
                text "nvm" style "other2"
            button:
                xpos 308
                style "B1_20" action NullAction()
                text "?" style "self2" xpos 14

            if mike_has_messaged:
                button:
                    style "O2" action NullAction()
                    text "Yoo hows the ride with the girls??" style "other2"
                    add "Emojis/thinking.png" ypos 36 xpos 118
                    add "Emojis/thinking.png" ypos 36 xpos 148
                    add "Emojis/thinking.png" ypos 36 xpos 178
                button:
                    style "O1_50" action NullAction()
                    text "Ms Hill" style "other2"
                    add "Emojis/peach.png" ypos 10 xpos 85
                button:
                    style "O1" action NullAction()
                    text "picked us up, we comin" style "other2"

                if (mess_mike_00 == "A" or mess_mike_00 == "Aa" or mess_mike_00 == "Ab"):
                    use mike_00_A
                    if (mess_mike_00 == "Aa" or mess_mike_00 == "Ab"):
                        if mess_mike_00 == "Aa":
                            button:
                                xpos 177
                                style "B1_70" action NullAction()
                                text "Good job lmao" style "self2"
                        elif mess_mike_00 == "Ab":
                            button:
                                xpos 240
                                style "B1_45" action NullAction()
                                text "My bad!" style "self2"
                        button:
                            style "O1_80" action NullAction()
                            add "Emojis/facepalm.png" ypos 10 xpos 10
                            add "Emojis/facepalm.png" ypos 10 xpos 35
                            add "Emojis/facepalm.png" ypos 10 xpos 60
                            add "Emojis/facepalm.png" ypos 10 xpos 85
                            add "Emojis/facepalm.png" ypos 10 xpos 110
                            add "Emojis/facepalm.png" ypos 10 xpos 135
                            add "Emojis/facepalm.png" ypos 10 xpos 160

                elif (mess_mike_00 == "Ba" or mess_mike_00 == "B"):
                    button:
                        xpos 277
                        style "B1_30" action NullAction()
                        text "?" style "self2" xpos 39
                        add "Emojis/peach.png" ypos 10 xpos 10
                    button:
                        style "O2_75" action NullAction()
                        text "affirmitive" style "other2"
                        text "confirmed" style "other2" ypos 38
                        add "Emojis/peach.png" ypos 10 xpos 125

                    if mess_mike_00 == "Ba":
                        button:
                            xpos 265
                            style "B1_35" action NullAction()
                            text "?" style "self2" xpos 58
                            add "Emojis/melon.png" ypos 10 xpos 10
                            add "Emojis/melon.png" ypos 10 xpos 35
                        button:
                            style "O1_25" action NullAction()
                            add "Emojis/checkmark.png" ypos 10 xpos 13

            if ch4mike_texted:
                button:
                    style "B2" action NullAction()
                    text "What are you doing on your phone?" style "self2"
                button:
                    style "O1_75" action NullAction()
                    text "texting this chick" style "other2"

                if ch4mike_ch1:
                    button:
                        style "B1_50" action NullAction()
                        text "Is she hot?" style "self2" xpos 9
                    button:
                        style "O1_85" action NullAction()
                        text "yeah, it's your mom" style "other2"


                if ch4mike_ch2 != 0:
                    if ch4mike_ch2 == 1:
                        button:
                            style "B1_35" action NullAction()
                            text "Dude." style "self2"
                    elif ch4mike_ch2 == 2:
                        button:
                            style "B2" action NullAction()
                            text "Don't talk about my mom that way." style "self2"
                    button:
                        style "O1_60" action NullAction()
                        text "its a joke bro" style "other2"
                    button:
                        style "O1_40" action NullAction()
                        add "Emojis/cryingLaughing.png" ypos 10 xpos 10
                        add "Emojis/cryingLaughing.png" ypos 10 xpos 39
                        add "Emojis/cryingLaughing.png" ypos 10 xpos 68

                if ch4mike_ch3 != 0:
                    if ch4mike_ch3 == 1:
                        button:
                            style "B1_25" action NullAction()
                            add "Emojis/facepalm.png" ypos 10 xpos 15

                    elif ch4mike_ch3 == 2:
                        button:
                            style "B1" action NullAction()
                            text "Go touch grass instead." style "self2"
                        button:
                            style "O1_30" action NullAction()
                            text "no u" style "other2"

        vbar value YScrollValue("my_scroller") style "contacts_bar"

screen mike_00_A():
    button:
        style "B3" action NullAction()
        text "Duuuuude... the girls just saw everything you wrote!" style "self2"
    button:
        style "O1_50" action NullAction()
        text "bro what" style "other2"
    button:
        style "O1_40" action NullAction()
        text "how???" style "other2"
    button:
        style "B2" action NullAction()
        text "I was showing them AI Adventures." style "self2"
    button:
        style "O1_70" action NullAction()
        text "noooo" style "other2"
        add "Emojis/sweat.png" ypos 10 xpos 75
        add "Emojis/sweat.png" ypos 10 xpos 105
        add "Emojis/sweat.png" ypos 10 xpos 135

screen messages_mia():
    frame:
        background None
        xpos 758
        ypos 260
        has side ("c r"):
            area (1,0,392,570)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            text "15 June" style "timestamp" xalign 0.85
            button:
                style "O1_60" action NullAction()
                text "I can't sleep" style "other2"
            button:
                style "B2" action NullAction()
                text "You too excited about tomorrow?" style "self2"
            button:
                style "O1" action NullAction()
                text "something like that..." style "other2"
            button:
                style "O3" action NullAction()
                text "my room feels cold. wish I had something to keep me warm..." style "other2"
            button:
                style "B3" action NullAction()
                text "You should get one of those heated blankets! I hear they're good." style "self2"
            button:
                style "O2" action NullAction()
                text "okay, Ill look into that... goodnight" style "other2"
            button:
                xpos 165
                style "B1_75" action NullAction()
                text "Sweet dreams" style "self2"
                add "Emojis/sleepy.png" ypos 10 xpos 150

        vbar value YScrollValue("my_scroller") style "contacts_bar"

screen messages_mom():
    if currentChapter == 1:
        if mess_mom_00 == "undecided":
            vbox:
                xpos 1115 yalign 0.65
                spacing 15
                button:
                    style "BR1_70" action SetVariable("mess_mom_00", "A"), Show("refresh_msg")
                    text "I love you too." style "self2"
                button:
                    style "BR3" action SetVariable("mess_mom_00", "B"), Show("refresh_msg")
                    text "Stop calling me \"snookums\". I'm not a child, I'm a grown man." style "self2"

    frame:
        background None
        xpos 758
        ypos 260
        has side ("c r"):
            area (1,0,392,570)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            text "23 May" style "timestamp" xalign 0.85
            button:
                style "O3" action NullAction()
                text "Why is there a pile of crusty socks underneath your bed?" style "other2"
            button:
                style "B2" action NullAction()
                text "They fell out when I was doing laundry." style "self2"
            text "7 June" style "timestamp" xalign 0.85
            button:
                style "O3" action NullAction()
                text "Hi snookums! I have some good (but sad) news. ~Mom" style "other2"
            button:
                style "O4" action NullAction()
                text "Apparently one of my distant relatives in Nigeria died and left me his fortune!" style "other2"
            button:
                xpos 230
                style "B1_50" action NullAction()
                text "MOM NO!" style "self2"
            button:
                style "B3" action NullAction()
                text "Please tell me you didn't send them any money." style "self2"
            button:
                style "O3" action NullAction()
                text "Why? I had to send them $500 to cover the banking fee." style "other2"
            button:
                xpos 175
                style "B1_70" action NullAction()
                text "NO, it's a scam!" style "self2"
            button:
                style "O3" action NullAction()
                text "What do you mean? Did they lie to me about my inheritance?" style "other2"
            button:
                style "B1" action NullAction()
                text "Hang on, I'm coming..." style "self2"
            text "9 June" style "timestamp" xalign 0.85
            button:
                style "O4" action NullAction()
                text "I called the bank and they said they can refund the money. ~Mom" style "other2"
            button:
                style "O1_70" action NullAction()
                text "I feel so stupid." style "other2"
            button:
                xpos 175
                style "B1_70" action NullAction()
                text "Not your fault." style "self2"
            if day == 1:
                text "Today" style "timestamp" xalign 0.82
            else:
                text "16 June" style "timestamp" xalign 0.85
            button:
                style "O5" action NullAction()
                text "Have fun at summer camp! I know it's only a while, but I'll miss you sooo much. I love you, snookums. ~Mom" style "other2"

            if mess_mom_00 == "A":
                button:
                    xpos 175
                    style "B1_70" action NullAction()
                    text "I love you too." style "self2"
                button:
                    style "O1_25" action NullAction()
                    add "Emojis/heart.png" ypos 10 xpos 10

            elif mess_mom_00 == "B":
                button:
                    style "B3" action NullAction()
                    text "Stop calling me \"snookums\". I'm not a child, I'm a grown man." style "self2"
                button:
                    style "O2" action NullAction()
                    text "Oh, I'm sorry! Tinker-doodle it is." style "other2"
                button:
                    style "O1_25" action NullAction()
                    add "Emojis/wink.png" ypos 10 xpos 10
        vbar value YScrollValue("my_scroller") style "contacts_bar"

default ch4_milfmsg_00 = "None"
default ch4_milfmsg_01A = 0
default ch4_milfmsg_01B = 0
default ch4_milfmsg_01end = False
default ch4_milfmsg_02 = "None"
default ch4_milfmsg_03 = 0
default ch4_milfmsg_04 = "None"
default ch4_milfmsg_05 = "None"
default ch4_milfmsg_05A = 0
default ch4_milfmsg_06 = "None"
default ch4_milfmsg_06A = 0
default ch4_milfmsg_06B = 0
default ch4_milfmsg_06C = 0
default ch4_milfmsg_06end = False
default ch4_milfmsg_07 = False
default ch4_milfmsg_08 = False
default ch4_milfmsg_09 = "None"
default ch4_milfmsg_10 = "None"
default ch4_milfmsg_10AB = 0
default ch4_milfmsg_12 = "None"
screen messages_milf():
    vbox:
        xpos 1115 yalign 0.65
        spacing 15
        if currentChapter == 4:
            if (ch4_milfmsg_00 == "None"):
                if lookedMILFAss:
                    button:
                        style "BR2" action SetVariable("ch4_milfmsg_00", "Ass"), SetVariable("ch4_milftexted", True), SetVariable("ch4_milfpoints", ch4_milfpoints +1), Show("refresh_msg")
                        text "{color=#33ff33}Hey, are you the one with the nice ass?" style "self2"
                        add "Emojis/peach.png" ypos 36 xpos 190
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_00", "Car"), SetVariable("ch4_milftexted", True), Show("refresh_msg")
                    text "Hey, is this the car lady?" style "self2"
                button:
                    style "BR1_50" action SetVariable("ch4_milfmsg_00", "Hey"), SetVariable("ch4_milftexted", True), Show("refresh_msg")
                    text "Hey there" style "self2"

            elif (ch4_milfmsg_00 == "Ass" and ch4_milfmsg_01A == 0 and ch4_milfmsg_01B == 0):
                button:
                    style "BR1_35" action SetVariable("ch4_milfmsg_01A", 1), Show("refresh_msg")
                    text "A fan." style "self2"
                button:
                    style "BR1_30" action SetVariable("ch4_milfmsg_01B", 1), Show("refresh_msg")
                    text "Me." style "self2"

            elif (ch4_milfmsg_00 == "Ass" and ch4_milfmsg_01A == 1):
                button:
                    style "BR1_60" action SetVariable("ch4_milfmsg_01A", 2), Show("refresh_msg")
                    text "That's right." style "self2"

            elif (ch4_milfmsg_00 == "Ass" and ch4_milfmsg_01B == 1):
                button:
                    style "BR1_60" action SetVariable("ch4_milfmsg_01B", 2), Show("refresh_msg")
                    text "Yes, it's me." style "self2"

            elif (ch4_milfmsg_00 == "Ass" and (ch4_milfmsg_01A == 2 or ch4_milfmsg_01B == 2) and ch4_milfmsg_01end == False):
                button:
                    style "BR3" action SetVariable("ch4_milfmsg_01end", True), Show("refresh_msg")
                    text "You gave me your number earlier, at the train station." style "self2"

            elif (ch4_milfmsg_00 == "Car" and ch4_milfmsg_02  == "None"):
                button:
                    style "BR1" action SetVariable("ch4_milfmsg_02", "A"), Show("refresh_msg")
                    text "Thank you! That's me." style "self2"
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_02", "B"), Show("refresh_msg")
                    text "Handsome? That does sound like me!" style "self2"
                button:
                    style "BR1_75" action SetVariable("ch4_milfmsg_02", "C"), Show("refresh_msg")
                    text "Handsome man*" style "self2"

            elif (ch4_milfmsg_00 == "Hey" and ch4_milfmsg_03 == 0):
                button:
                    style "BR4" action SetVariable("ch4_milfmsg_03", 1), Show("refresh_msg")
                    text "What? You gave me your number earlier. We met in the parking lot." style "self2"

            elif (ch4_milfmsg_00 == "Hey" and ch4_milfmsg_03 == 1):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_03", 2), Show("refresh_msg")
                    text "No problem, I get those too." style "self2"

            elif ((ch4_milfmsg_01end == True or ch4_milfmsg_02 != "None" or ch4_milfmsg_03 == 2) and ch4_milfmsg_04 == "None"):
                button:
                    style "BR3" action SetVariable("ch4_milfmsg_04", "A"), Show("refresh_msg")
                    text "I'm great. Actually in class right now, but we're having a break." style "self2"
                button:
                    style "BR1_70" action SetVariable("ch4_milfmsg_04", "B"), Show("refresh_msg")
                    text "I'm bored, you?" style "self2"
                button:
                    style "BR1_45" action SetVariable("ch4_milfmsg_04", "C"), SetVariable("ch4_milfignored", True), Show("refresh_msg_silent")
                    text "(Ignore.)" style "self2"

            elif (ch4_milfmsg_04 == "A" and ch4_milfmsg_05 == "None"):
                button:
                    style "BR3" action SetVariable("ch4_milfmsg_05", "A"), Show("refresh_msg")
                    text "Just wondering... how do you know Mr. Miller?" style "self2"
                button:
                    style "BR1_90" action SetVariable("ch4_milfmsg_05", "B"), Show("refresh_msg")
                    text "What are you up to?" style "self2"

            elif (ch4_milfmsg_05 == "A" and ch4_milfmsg_05A == 0):
                button:
                    style "BR1_60" action SetVariable("ch4_milfmsg_05A", 1), Show("refresh_msg")
                    text "Just friends?" style "self2"

            elif (ch4_milfmsg_05 == "A" and ch4_milfmsg_05A == 1):
                button:
                    style "BR1" action SetVariable("ch4_milfmsg_05A", 2), Show("refresh_msg")
                    text "So, how are you doing?" style "self2"

            elif ((ch4_milfmsg_05A == 2 or ch4_milfmsg_05 == "B" or ch4_milfmsg_04 == "B") and ch4_milfmsg_06 == "None"):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_06", "A"), SetVariable("ch4_milfmsg_06A", 1), SetVariable("ch4_milfpoints", ch4_milfpoints +1), Show("refresh_msg")
                    text "{color=#33ff33}Hot and creamy, first thing in the morning." style "self2"
                button:
                    style "BR1_85" action SetVariable("ch4_milfmsg_06", "B"), Show("refresh_msg")
                    text "Strong and instant." style "self2"
                button:
                    style "BR1_85" action SetVariable("ch4_milfmsg_06", "C"), Show("refresh_msg")
                    text "I don't drink coffee." style "self2"

            elif (ch4_milfmsg_06 == "B" and ch4_milfmsg_06B == 0):
                button:
                    style "BR1_90" action SetVariable("ch4_milfmsg_06B", 1), Show("refresh_msg")
                    text "Something like that..." style "self2"

            elif (ch4_milfmsg_06 == "C" and ch4_milfmsg_06C == 0):
                button:
                    style "BR1_75" action SetVariable("ch4_milfmsg_06C", 1), Show("refresh_msg")
                    text "To drink coffee?" style "self2"

            elif ((ch4_milfmsg_06 == "A" or ch4_milfmsg_06B == 1 or ch4_milfmsg_06C == 1) and ch4_milfmsg_06end == False):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_06end", True), Show("refresh_msg")
                    text "Are we still talking about coffee...?" style "self2"

            elif (ch4_milfmsg_06end == True and ch4_milfmsg_07 == False):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_07", True), Show("refresh_msg")
                    text "What do you have in mind?" style "self2"

            elif (ch4_milfmsg_07 == True and ch4_milfmsg_08 == False):
                button:
                    style "BR1_60" action SetVariable("ch4_milfmsg_08", True), Show("refresh_msg")
                    text "I'm waiting..." style "self2"

            elif (ch4_milfmsg_08 == True and ch4_milfmsg_09 == "None"):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_09", "A"), SetVariable("ch4_milflikes", True), SetVariable("ch4_milfpoints", ch4_milfpoints +1), Show("refresh_msg")
                    text "{color=#33ff33}Starting to make me excited here..." style "self2"
                button:
                    style "BR1_50" action SetVariable("ch4_milfmsg_09", "B"), Show("refresh_msg")
                    text "Intrigued." style "self2"
                button:
                    style "BR1_60" action SetVariable("ch4_milfmsg_09", "C"), Show("refresh_msg")
                    text "I'm not sure." style "self2"

            elif (ch4_milfmsg_09 != "None" and ch4_milfmsg_10 == "None"):
                button:
                    style "BR1_50" action SetVariable("ch4_milfmsg_10", "A"), Show("refresh_msg")
                    text "Obviously!" style "self2"
                button:
                    style "BR1_30" action SetVariable("ch4_milfmsg_10", "B"), Show("refresh_msg")
                    text "Yes." style "self2"

            elif ((ch4_milfmsg_10 == "A" or ch4_milfmsg_10 == "B") and ch4_milfmsg_10AB == 0):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_10AB", 1), Show("refresh_msg")
                    text "Nice... You're very naughty." style "self2"

            elif (ch4_milfmsg_10AB == 1):
                button:
                    style "BR1_45" action SetVariable("ch4_milfmsg_10AB", 2), Show("refresh_msg")
                    text "Tell me..." style "self2"

            elif (ch4_milfmsg_10AB == 2):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_10AB", 3), Show("refresh_msg")
                    text "Now you're just making me horny." style "self2"

            elif (ch4_milfmsg_10AB == 3):
                button:
                    style "BR1_90" action SetVariable("ch4_milfmsg_10AB", 4), SetVariable("ch4_milfhorny", True), SetVariable("ch4_milfpoints", ch4_milfpoints +1), Show("refresh_msg")
                    text "{color=#33ff33}I can't... I'm in public." style "self2"

            elif (ch4_milfmsg_10AB == 4):
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_10AB", 5), Show("refresh_msg")
                    text "We should hook up sometime instead." style "self2"

            elif (ch4_milfmsg_10AB == 5):
                button:
                    style "BR1_85" action SetVariable("ch4_milfmsg_10AB", 6), Show("refresh_msg")
                    text "Time and place?" style "self2"

            elif (ch4_milfmsg_10AB == 6 and ch4_milfmsg_12 == "None"):
                button:
                    style "BR1_25" action SetVariable("ch4_milfmsg_12", "A"), Show("refresh_msg")
                    text "No!" style "self2"
                button:
                    style "BR1_50" action SetVariable("ch4_milfmsg_12", "B"), Show("refresh_msg")
                    text "Noooooo!" style "self2"
                button:
                    style "BR2" action SetVariable("ch4_milfmsg_12", "C"), Show("refresh_msg")
                    text "Likewise, it was great. Thanks for the pics!" style "self2"

    frame:
        background None
        xpos 758
        ypos 260
        has side ("c r"):
            area (1,0,392,570)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            if ch4_milfmsg_00 != "None":
                if day == 1:
                    text "Today" style "timestamp" xalign 0.82
                else:
                    text "16 June" style "timestamp" xalign 0.85

            if ch4_milfmsg_00 == "Ass":
                button:
                    style "B2" action NullAction()
                    text "Hey, are you the one with the nice ass?" style "self2"
                    add "Emojis/peach.png" ypos 36 xpos 190
                button:
                    style "O1_70" action NullAction()
                    text "Who's asking?" style "other2"

                if ch4_milfmsg_01A > 0:
                    button:
                        style "B1_35" action NullAction()
                        text "A fan." style "self2"
                    button:
                        style "O1_55" action NullAction()
                        text "Of my ass?" style "other2"

                    if ch4_milfmsg_01A > 1:
                        button:
                            style "B1_60" action NullAction()
                            text "That's right." style "self2"
                        button:
                            style "O1_70" action NullAction()
                            text "Have we met?" style "other2"

                if ch4_milfmsg_01B > 0:
                    button:
                        style "B1_30" action NullAction()
                        text "Me." style "self2"
                    button:
                        style "O1_30" action NullAction()
                        text "You." style "other2"

                    if ch4_milfmsg_01B > 1:
                        button:
                            style "B1_60" action NullAction()
                            text "Yes, it's me." style "self2"
                        button:
                            style "O1_25" action NullAction()
                            text "???" style "other2"

                if ch4_milfmsg_01end:
                    button:
                        style "B3" action NullAction()
                        text "You gave me your number earlier, at the train station." style "self2"
                    button:
                        style "O1_60" action NullAction()
                        text "Oh, it's you!" style "other2"

            elif ch4_milfmsg_00 == "Car":
                button:
                    style "B2" action NullAction()
                    text "Hey, is this the car lady?" style "self2"
                button:
                    style "O1_70" action NullAction()
                    text "That depends..." style "other2"
                button:
                    style "O3" action NullAction()
                    text "Did your car get hit, or are you that handsome boy I met earlier?" style "other2"
                    add "Emojis/wink.png" ypos 61 xpos 191

                if ch4_milfmsg_02 == "A":
                    button:
                        style "B1" action NullAction()
                        text "Thank you! That's me." style "self2"
                    button:
                        style "O2" action NullAction()
                        text "Handsome and polite. I like that." style "other2"

                elif ch4_milfmsg_02 == "B":
                    button:
                        style "B2" action NullAction()
                        text "Handsome? That does sound like me!" style "self2"
                    button:
                        style "O2" action NullAction()
                        text "Ha-ha-ha. Very much so." style "other2"
                        add "Emojis/wink.png" ypos 36 xpos 41

                elif ch4_milfmsg_02 == "C":
                    button:
                        style "B1_75" action NullAction()
                        text "Handsome man*" style "self2"
                    button:
                        style "O2" action NullAction()
                        text "Oh, of course! My mistake." style "other2"
                        add "Emojis/wink.png" ypos 36 xpos 96

            elif ch4_milfmsg_00 == "Hey":
                button:
                    style "B1_50" action NullAction()
                    text "Hey there" style "self2"
                button:
                    style "O1" action NullAction()
                    text "Fuck off, not interested" style "other2"

                if ch4_milfmsg_03 > 0:
                    button:
                        style "B4" action NullAction()
                        text "What? You gave me your number earlier. We met in the parking lot." style "self2"
                    button:
                        style "B2" action NullAction()
                        text "And later at the strip mall." style "self2"
                    button:
                        style "O1_60" action NullAction()
                        text "Oh, it's you!" style "other2"
                    button:
                        style "O3" action NullAction()
                        text "I'm so sorry! I thought you were one of those sales fuckers!" style "other2"

                    if ch4_milfmsg_03 > 1:
                        button:
                            style "B2" action NullAction()
                            text "No problem, I get those too." style "self2"

            if (ch4_milfmsg_01end == True or ch4_milfmsg_02 != "None" or ch4_milfmsg_03 == 2):
                button:
                    style "O1" action NullAction()
                    text "How are you doing?" style "other2"
                    add "Emojis/smiling.png" ypos 10 xpos 208

                if ch4_milfmsg_04 == "A":
                    button:
                        style "B3" action NullAction()
                        text "I'm great. Actually in class right now, but we're having a break." style "self2"

                    if ch4_milfmsg_05 == "A":
                        button:
                            style "B3" action NullAction()
                            text "Just wondering... how do you know Mr. Miller?" style "self2"
                        button:
                            style "O2" action NullAction()
                            text "Shawn? He's just an old friend." style "other2"

                        if ch4_milfmsg_05A > 0:
                            button:
                                style "B1_60" action NullAction()
                                text "Just friends?" style "self2"
                            button:
                                style "O1_80" action NullAction()
                                text "Hardly even that!" style "other2"

                            if ch4_milfmsg_05A > 1:
                                button:
                                    style "B1" action NullAction()
                                    text "So, how are you doing?" style "self2"

                    elif ch4_milfmsg_05 == "B":
                        button:
                            style "B1_90" action NullAction()
                            text "What are you up to?" style "self2"
                        button:
                            style "O2" action NullAction()
                            text "About to have some coffee." style "other2"
                            add "Emojis/smiling.png" ypos 35 xpos 79

                elif ch4_milfmsg_04 == "B":
                    button:
                        style "B1_70" action NullAction()
                        text "I'm bored, you?" style "self2"

                if (ch4_milfmsg_05A == 2 or ch4_milfmsg_04 == "B"):
                    button:
                        style "O2" action NullAction()
                        text "I'm good. About to have some coffee." style "other2"
                        add "Emojis/smiling.png" ypos 35 xpos 138

            if (ch4_milfmsg_05A == 2 or ch4_milfmsg_05 == "B" or ch4_milfmsg_04 == "B"):
                button:
                    style "O1" action NullAction()
                    text "How do you like yours?" style "other2"

            if ch4_milfmsg_06 == "A":
                button:
                    style "B2" action NullAction()
                    text "Hot and creamy, first thing in the morning." style "self2"
                button:
                    style "O2" action NullAction()
                    text "Oh, I couldn't agree more..." style "other2"
                button:
                    style "O3" action NullAction()
                    text "I love something hot and creamy in the morning." style "other2"
                button:
                    style "O2" action NullAction()
                    text "And in the afternoon. And evening..." style "other2"

            elif ch4_milfmsg_06 == "B":
                button:
                    style "B1_85" action NullAction()
                    text "Strong and instant." style "self2"
                button:
                    style "O2" action NullAction()
                    text "And immediately in the morning?" style "other2"
                    add "Emojis/wink.png" ypos 35 xpos 147
                if ch4_milfmsg_06B > 0:
                    button:
                        style "B1_90" action NullAction()
                        text "Something like that..." style "self2"
                    button:
                        style "O1" action NullAction()
                        text "That's how I like it too." style "other2"

            elif ch4_milfmsg_06 == "C":
                button:
                    style "B1_85" action NullAction()
                    text "I don't drink coffee." style "self2"
                button:
                    style "O3" action NullAction()
                    text "That's a shame. Someone needs to teach you!" style "other2"
                    add "Emojis/wink.png" ypos 61 xpos 117
                if ch4_milfmsg_06C > 0:
                    button:
                        style "B1_75" action NullAction()
                        text "To drink coffee?" style "self2"
                    button:
                        style "O1" action NullAction()
                        text "And other adult things." style "other2"

            if ch4_milfmsg_06end:
                button:
                    style "B2" action NullAction()
                    text "Are we still talking about coffee...?" style "self2"
                button:
                    style "O2" action NullAction()
                    text "I don't know about you, but... I'm not." style "other2"
                    add "Emojis/wink.png" ypos 36 xpos 137

            if ch4_milfmsg_07:
                button:
                    style "B2" action NullAction()
                    text "What do you have in mind?" style "self2"
                button:
                    style "O1_80" action NullAction()
                    text "Well, for starters..." style "other2"
                button:
                    style "O1_70" action NullAction()
                    text "Just a moment." style "other2"

            if ch4_milfmsg_08:
                button:
                    style "B1_60" action NullAction()
                    text "I'm waiting..." style "self2"

                imagebutton auto "gui/cellphone/ember/images/cassSent_02_%s.png" hover_sound sound_menu_button action [
                            Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "cass_sent_02"),
                            If(persistent.unlocked_cass_02 == False, SetVariable("persistent.unlocked_cass_02", True)),
                            If(persistent.unlocked_cass_02 == False, Play("sound", [bonus_image])),
                            If(persistent.unlocked_cass_02 == False, Notify("You found a bonus image!"))]

                button:
                    style "O2" action NullAction()
                    text "How does this make you feel?" style "other2"

            if ch4_milfmsg_09 == "A":
                button:
                    style "B2" action NullAction()
                    text "Starting to make me excited here..." style "self2"
                button:
                    style "O2" action NullAction()
                    text "Now that's what I like to hear!" style "other2"
                button:
                    style "O2" action NullAction()
                    text "Do you want to see more?" style "other2"
                    add "Emojis/wink.png" ypos 36 xpos 75

            if ch4_milfmsg_09 == "B":
                button:
                    style "B1_50" action NullAction()
                    text "Intrigued." style "self2"
                button:
                    style "O2" action NullAction()
                    text "Intrigued, huh... Do you want to see more?" style "other2"

            if ch4_milfmsg_09 == "C":
                button:
                    style "B1_60" action NullAction()
                    text "I'm not sure." style "self2"
                button:
                    style "O2" action NullAction()
                    text "Do you want to see more...?" style "other2"

            if ch4_milfmsg_10 != "None":
                if ch4_milfmsg_10 == "A":
                    button:
                        style "B1_50" action NullAction()
                        text "Obviously!" style "self2"

                elif ch4_milfmsg_10 == "B":
                    button:
                        style "B1_30" action NullAction()
                        text "Yes." style "self2"

                if ch4_milfmsg_10 != "C":
                    imagebutton auto "gui/cellphone/ember/images/cassSent_03_%s.png" hover_sound sound_menu_button action [
                                Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "cass_sent_03"),
                                If(persistent.unlocked_cass_03 == False, SetVariable("persistent.unlocked_cass_03", True)),
                                If(persistent.unlocked_cass_03 == False, Play("sound", [bonus_image])),
                                If(persistent.unlocked_cass_03 == False, Notify("You found a bonus image!"))]

            if ch4_milfmsg_10AB > 0:
                button:
                    style "B2" action NullAction()
                    text "Nice... You're very naughty." style "self2"
                button:
                    style "O2" action NullAction()
                    text "Oh I'm even naughtier, know why?" style "other2"

                if ch4_milfmsg_10AB > 1:
                    button:
                        style "B1_45" action NullAction()
                        text "Tell me..." style "self2"
                    button:
                        style "O2" action NullAction()
                        text "Because I'm not wearing any panties..." style "other2"

                    if ch4_milfmsg_10AB > 2:
                        button:
                            style "B2" action NullAction()
                            text "Now you're just making me horny." style "self2"
                        button:
                            style "O2" action NullAction()
                            text "Then why don't you... do something about it?" style "other2"

                        if ch4_milfmsg_10AB > 3:
                            button:
                                style "B1_90" action NullAction()
                                text "I can't... I'm in public." style "self2"
                            button:
                                style "O2" action NullAction()
                                text "Well, you better find a place then." style "other2"
                                add "Emojis/wink.png" ypos 36 xpos 123

                            if ch4_milfmsg_10AB > 4:
                                button:
                                    style "B2" action NullAction()
                                    text "We should hook up sometime instead." style "self2"
                                button:
                                    style "O1" action NullAction()
                                    text "I couldn't agree more!" style "other2"

                            if ch4_milfmsg_10AB > 5:
                                button:
                                    style "B1_85" action NullAction()
                                    text "Time and place?" style "self2"
                                button:
                                    style "O1_60" action NullAction()
                                    text "We'll see." style "other2"
                                    add "Emojis/wink.png" ypos 10 xpos 105
                                button:
                                    style "O4" action NullAction()
                                    text "It was sure nice talking to you... but I better go before my coffee gets cold." style "other2"
                                    add "Emojis/wink.png" ypos 87 xpos 60

            if ch4_milfmsg_12 != "None":
                if ch4_milfmsg_12 == "A":
                    button:
                        style "B1_25" action NullAction()
                        text "No!" style "self2"

                elif ch4_milfmsg_12 == "B":
                    button:
                        style "B1_50" action NullAction()
                        text "Noooooo!" style "self2"

                elif ch4_milfmsg_12 == "C":
                    button:
                        style "B2" action NullAction()
                        text "Likewise, it was great. Thanks for the pics!" style "self2"

                button:
                    style "O1_25" action NullAction()
                    text " " style "other2"
                    add "Emojis/lipsKiss.png" ypos 12 xpos 13

        vbar value YScrollValue("my_scroller") style "contacts_bar"

screen messages_bree():
    frame:
        background None
        xpos 758
        ypos 260
        has side ("c r"):
            area (1,0,392,570)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox
            null height 10

        vbar value YScrollValue("my_scroller") style "contacts_bar"

screen ember_login():

    modal True tag ember

    use rollbackProtection
    add "images/dark_screen.png"
    use close_phone
    add "gui/cellphone/ember/bgs/full.png"

    if not emberPlus:
        imagebutton:
            idle "gui/cellphone/ember/getEmberPlus_hover.png"
            hover "gui/cellphone/ember/getEmberPlus_idle.png"
            action Hide("ember_login"), Show("phone_settings")
            focus_mask True

    vbox:
        xalign 0.5
        ypos 350
        spacing 365
        vbox:
            xalign 0.5
            spacing 10
            add "gui/cellphone/ember/logo.png" xalign 0.5
            text "find local singles" style "ember_blabla2" xalign 0.5
        if ember_setup == 1:
            button:
                style "ember_basic_white" action Show("ember") xalign 0.5
                text "LOG IN WITH PHONE NUMBER" style "ember_basic_white_text"
        elif ember_setup == 0:
            button:
                style "ember_basic_white" action Show("ember_settings") xalign 0.5
                text "FINISH SETTING UP ACCOUNT" style "ember_basic_white_text"

    add "gui/cellphone/ember/buttons/pledge_soul.png" xalign 0.5 ypos 720
    textbutton "Contact" style "ember_blabla_button" xpos 995 ypos 730 action SetVariable("contact_ember", True)

    imagebutton auto "gui/cellphone/ember/buttons/close_%s.png" ypos 180 xpos 1105 action Hide("ember_login"), Show("phone") hover_sound sound_menu_button

    if ember_popup == 1:
        add "gui/cellphone/ember/bgs/overlay.png"
        add "gui/cellphone/ember/buttons/popup.png"
        button:
            xysize (1920,1080)
            action SetVariable("ember_popup", 2)
        button:
            xalign 0.5 ypos 705
            style "ember_popup_ok" action SetVariable("ember_popup", 2)
            text "OK" style "ember_popup_ok_text"

    if contact_ember == True:
        add "gui/cellphone/ember/bgs/overlay.png"
        add "gui/cellphone/ember/buttons/contact_us.png"
        button:
            xysize (1920,1080)
            action SetVariable("contact_ember", False)
        button:
            xalign 0.5 ypos 705
            style "ember_popup_ok" action SetVariable("contact_ember", False)
            text "OK" style "ember_popup_ok_text"

    add "gui/cellphone/Phone_HomepageEmpty01.png"

default ember_help = False
screen ember_settings():

    modal True tag ember

    use rollbackProtection
    add "images/dark_screen.png"
    use close_phone
    if ember_setup == 0:
        add "gui/cellphone/ember/bgs/setup1.png" ypos 30
        add "gui/cellphone/ember/buttons/undecided_idle.png" xpos 1021 ypos 376
        vbox:
            xpos 770 ypos 290 spacing 10
            text "Finish setting up your account." style "ember_basic_red"
            text "ACCOUNT SETTINGS" style "ember_basic"
        text "I'm looking for..." style "ember_basic_thick" xpos 770 ypos 368
        vbox:
            xpos 1021 ypos 430 spacing 0
            imagebutton auto "gui/cellphone/ember/buttons/women_%s.png" action NullAction() hovered MouseMove(1070, 475, duration=0.075) hover_sound sound_menu_button
            imagebutton auto "gui/cellphone/ember/buttons/men_%s.png" action SetVariable("ember_setup", 1) hover_sound sound_menu_button

    elif ember_setup == 1:
        add "gui/cellphone/ember/bgs/setup2.png" ypos 30
        text "{b}Finished!{/b}\n\nYour account is all set up. You can now start swiping and meeting {b}men{/b} in your area." style "ember_basic" xpos 770 ypos 290
        button:
            xalign 0.5 ypos 430
            style "ember_popup_ok_small" action Hide("ember_settings"), Show("ember")
            text "OK" style "ember_popup_ok_text"

    add "gui/cellphone/ember/bgs/half.png"
    text "Settings" style "ember_title"
    imagebutton auto "gui/cellphone/ember/buttons/close_%s.png" ypos 180 xpos 1105 action Hide("ember_settings"), Show("ember_login") hover_sound sound_menu_button
    add "gui/cellphone/Phone_HomepageEmpty01.png"

screen close_phone():
    vbox:
        xpos 1125 ypos 160 spacing 15
        button:
            style "BR_Close"
            text "     Close" style "other2"
            add "Emojis/phoneAway.png" ypos 10 xpos 5
            tooltip "Put your phone away."
            action [
                Hide("ember"),
                Hide("ember_login"),
                Hide("ember_settings"),
                Hide("ember_contacts"),
                Hide("ember_viewing"),
                SetVariable("ember_status", "none"),
                SetVariable("ember_match", "none"),
                SetVariable("emberViewingImage", "None"),

                Hide("phone_settings"),
                Hide("phone_gallery"),
                Hide("phone_contacts"),
                Hide("phone_messages"),

                Show("AI_welcome"),
                Hide("AI_welcome"),
                Stop("music_AIAD"),

                Hide("phone")]

        if renpy.current_screen().screen_name[0] != "phone":
            button:
                style "BR_Close"
                text "     Home" style "other2"
                add "Emojis/phone.png" ypos 10 xpos 5
                tooltip "Return to your phone's homepage."
                action [
                    Hide("ember"),
                    Hide("ember_login"),
                    Hide("ember_settings"),
                    Hide("ember_contacts"),
                    Hide("ember_viewing"),
                    SetVariable("ember_status", "none"),
                    SetVariable("ember_match", "none"),
                    SetVariable("emberViewingImage", "None"),

                    Hide("phone_settings"),
                    Hide("phone_gallery"),
                    Hide("phone_contacts"),
                    Hide("phone_messages"),

                    Show("AI_welcome"),
                    Hide("AI_welcome"),
                    Stop("music_AIAD"),

                    Hide("phone"),
                    Show("phone")]

    if renpy.current_screen().screen_name[0] == "phone":
        add "gui/cellphone/home_insensitive.png"

default preference_stage = 0
default clicked_preference_link = False
screen ember():
    modal True
    use rollbackProtection
    add "images/dark_screen.png"
    use close_phone
    if ember_status == "swiping":
        use ember_profiles
        use ember_swiping
    elif ember_status == "messaging":
        use ember_messages
    elif ember_status == "viewing_profile":
        use ember_profiles
        use ember_not_swiping
    else:
        use ember_contacts
        text "My Matches" style "ember_title"
        if gay_ember:
            imagebutton auto "gui/cellphone/ember/gender_men_%s.png" ypos 240 xpos 800 action SetVariable("clicked_preference_link", True) hover_sound sound_menu_button
        else:
            imagebutton auto "gui/cellphone/ember/gender_women_%s.png" ypos 240 xpos 800 action SetVariable("clicked_preference_link", True) hover_sound sound_menu_button

        if clicked_preference_link:
            button:
                xysize (1920,1080)
                action SetVariable("clicked_preference_link", False)

            if gay_ember:
                add "gui/cellphone/ember/bgs/overlay.png"
                if preference_stage == 0:
                    add "gui/cellphone/ember/buttons/popup_change.png"
                    hbox:
                        ypos 705 xalign 0.5 spacing 37
                        imagebutton:
                            idle "gui/cellphone/ember/buttons/rewind_no_idle.png"
                            hover "gui/cellphone/ember/buttons/rewind_no_hover.png"
                            action SetVariable("clicked_preference_link", False)
                            hover_sound sound_menu_button
                        imagebutton:
                            idle "gui/cellphone/ember/buttons/rewind_yes_idle.png"
                            hover "gui/cellphone/ember/buttons/rewind_yes_hover.png"
                            action SetVariable("preference_stage", 1)
                            hover_sound sound_menu_button

                elif preference_stage == 1:
                    add "gui/cellphone/ember/buttons/contact_us.png"
                    button:
                        xalign 0.5 ypos 705
                        style "ember_popup_ok" action SetVariable("clicked_preference_link", False), SetVariable("preference_stage", 0)
                        text "OK" style "ember_popup_ok_text"

            else:
                add "gui/cellphone/ember/bgs/overlay.png"
                add "gui/cellphone/ember/buttons/popup_cannot.png"
                button:
                    xysize (1920,1080)
                    action SetVariable("clicked_preference_link", False)
                button:
                    xalign 0.5 ypos 705
                    style "ember_popup_ok" action SetVariable("clicked_preference_link", False)
                    text "OK" style "ember_popup_ok_text"

screen ember_contacts():
    add "gui/cellphone/ember/bgs/none.png"
    frame:
        background None
        xpos 730
        ypos 266
        has side ("c r"):
            area (1,0,425,545)
        viewport id "my_scroller":
            mousewheel True draggable True
            has vbox
            if gay_ember == True:
                if ember_chad == "matched":
                    imagebutton auto "gui/cellphone/ember/matches/chad_%s.png" hover_sound sound_menu_button action [
                                    SetVariable("ember_status", "messaging"),
                                    SetVariable("ember_match", "chad"),
                                    SetVariable("ember_unread_chad", False),
                                    SelectedIf(ember_unread_chad == True)]

            else:
                if ember_becca == "matched":
                    imagebutton auto "gui/cellphone/ember/matches/becca_%s.png" hover_sound sound_menu_button action [
                                    SetVariable("ember_status", "messaging"),
                                    SetVariable("ember_match", "becca"),
                                    SetVariable("ember_unread_becca", False),
                                    SelectedIf(ember_unread_becca == True)]

                if ember_bot == "matched":
                    imagebutton auto "gui/cellphone/ember/matches/bot_%s.png" hover_sound sound_menu_button action [
                                    SetVariable("ember_status", "messaging"),
                                    SetVariable("ember_match", "bot"),
                                    SetVariable("ember_unread_bot", False),
                                    SelectedIf(ember_unread_bot == True)]

                if ember_helen == "matched":
                    imagebutton auto "gui/cellphone/ember/matches/helen_%s.png" hover_sound sound_menu_button action [
                                    SetVariable("ember_status", "messaging"),
                                    SetVariable("ember_match", "helen"),
                                    SetVariable("ember_unread_helen", False),
                                    SelectedIf(ember_unread_helen == True)]

                if ember_nina == "matched":
                    imagebutton auto "gui/cellphone/ember/matches/nina_%s.png" hover_sound sound_menu_button action [
                                    SetVariable("ember_status", "messaging"),
                                    SetVariable("ember_match", "nina"),
                                    SetVariable("ember_unread_nina", False),
                                    SelectedIf(ember_unread_nina == True)]

        vbar value YScrollValue("my_scroller") style "ember_bar"

    add "gui/cellphone/ember/bgs/half.png"
    imagebutton auto "gui/cellphone/ember/buttons/close_%s.png" ypos 180 xpos 1105 action Hide("ember"), Show("phone") hover_sound sound_menu_button
    add "gui/cellphone/ember/divider.png" xalign 0.5 ypos 822

    if ember_new_contact:
        button:
            style "ember_basic_unread_button" xalign 0.5 ypos 840 action [SetVariable("ember_status", "swiping"), SetVariable("ember_new_contact", False)]
            text "Find more matches" style "ember_basic_button_text"
    else:
        button:
            style "ember_basic_button" xalign 0.5 ypos 840 action [SetVariable("ember_status", "swiping"), SetVariable("ember_new_contact", False)]
            text "Find more matches" style "ember_basic_button_text"

    add "gui/cellphone/Phone_HomepageEmpty01.png"

default emberViewingImage = "None"

screen ember_profiles():
    add "gui/cellphone/ember/bgs/none.png"

    default ninaPic = 1

    vbox:
        xalign 0.5
        ypos 300
        spacing 20
        text "No more matches" style "ember_empty" xalign 0.5
        if not emberPlus:
            text "Come back later, or get Ember Plus to bring back your recently dismissed matches!" style "ember_empty2"
        if emberPlus:
            text "Come back later, or hit the RESET button to bring back your recently dismissed matches!" style "ember_empty2"

    if gay_ember:
        if ember_chad == "undecided" or ember_match == "chad":
            add "gui/cellphone/ember/bgs/match.png"
            imagebutton idle "gui/cellphone/ember/images/chad_01.png" action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "chad_01") focus_mask True
            imagebutton auto "gui/cellphone/ember/buttons/fullscreen_%s.png" hover_sound sound_menu_button action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "chad_01") focus_mask True

            text "Brad, 27" style "ember_name"
            text "Personal Trainer\n12 miles away" style "ember_job"
            text "Looking for a workout/fuck buddy. Match with me if you need a good stretching. ;)" style "ember_aboutme"

            if ember_status == "swiping":
                hbox:
                    xalign 0.5 ypos 825 spacing 120
                    imagebutton auto "gui/cellphone/ember/buttons/no_%s.png" hover_sound sound_menu_button action SetVariable("ember_chad", "unmatched") tooltip "Dislike"
                    imagebutton auto "gui/cellphone/ember/buttons/yes_%s.png" hover_sound sound_menu_button action SetVariable("ember_chad", "matched"), SetVariable("ember_unread_chad", True) tooltip "Like"

    else:
        if ((currentChapter == 4 and ember_status == "swiping" and ember_becca == "undecided") or ember_becca == "matched"):
            if ember_becca == "undecided" or ember_match == "becca":
                add "gui/cellphone/ember/bgs/match.png"
                imagebutton idle "gui/cellphone/ember/images/becca_01.png" action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "becca_01") focus_mask True
                imagebutton auto "gui/cellphone/ember/buttons/fullscreen_%s.png" hover_sound sound_menu_button action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "becca_01") focus_mask True

                text "Becca, 21" style "ember_name"
                text "Parks and Recreation\n[ember_distance_becca] away" style "ember_job"
                text "Looking for new friends! Maybe even more than that, who knows.. xx\n\nNo smokers please" style "ember_aboutme"

                if ember_status == "swiping":
                    hbox:
                        xalign 0.5 ypos 825 spacing 120
                        imagebutton auto "gui/cellphone/ember/buttons/no_%s.png" hover_sound sound_menu_button action SetVariable("ember_becca", "unmatched") tooltip "Dislike"
                        imagebutton auto "gui/cellphone/ember/buttons/yes_%s.png" hover_sound sound_menu_button action SetVariable("ember_becca", "matched"), SetVariable("ember_unread_becca", True) tooltip "Like"


        if ((currentChapter == 2 and ember_status == "swiping" and ember_nina == "undecided") or ember_nina == "matched"):
            if ember_nina == "undecided" or ember_match == "nina":
                add "gui/cellphone/ember/bgs/match.png"
                if ninaPic == 1:
                    imagebutton idle "gui/cellphone/ember/images/nina_01.png" action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "nina_01") focus_mask True
                    imagebutton auto "gui/cellphone/ember/buttons/fullscreen_%s.png" hover_sound sound_menu_button action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "nina_01") focus_mask True

                elif ninaPic == 2:
                    imagebutton idle "gui/cellphone/ember/images/nina_02.png" action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "nina_02") focus_mask True
                    imagebutton auto "gui/cellphone/ember/buttons/fullscreen_%s.png" hover_sound sound_menu_button action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "nina_02") focus_mask True

                hbox:
                    xalign 0.5 yalign 0.5
                    imagebutton auto "gui/cellphone/ember/buttons/previous_%s.png" hover_sound sound_menu_button action If(ninaPic > 1, SetLocalVariable("ninaPic", ninaPic - 1))
                    imagebutton auto "gui/cellphone/ember/buttons/next_%s.png" hover_sound sound_menu_button action If(ninaPic < 2, SetLocalVariable("ninaPic", ninaPic + 1))

                text "Nina, 19" style "ember_name"
                text "Student\n[ember_distance_nina] away" style "ember_job"
                text "Born in Japan, raised in Minnesota!\n\nI don't know what else to say haha. Uhm... Message me if you like pizza and history?" style "ember_aboutme"

                if ember_status == "swiping":
                    hbox:
                        xalign 0.5 ypos 825 spacing 120
                        imagebutton auto "gui/cellphone/ember/buttons/no_%s.png" hover_sound sound_menu_button action SetVariable("ember_nina", "unmatched") tooltip "Dislike"
                        imagebutton auto "gui/cellphone/ember/buttons/yes_%s.png" hover_sound sound_menu_button action SetVariable("ember_nina", "matched"), SetVariable("ember_unread_nina", True) tooltip "Like"

        if ((currentChapter == 2 and ember_status == "swiping" and ember_bot == "undecided") or ember_bot == "matched"):
            if ember_bot == "undecided" or ember_match == "bot":
                add "gui/cellphone/ember/bgs/match.png"
                imagebutton idle "gui/cellphone/ember/images/bot_01.png" action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "bot_01") focus_mask True
                imagebutton auto "gui/cellphone/ember/buttons/fullscreen_%s.png" hover_sound sound_menu_button action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "bot_01") focus_mask True

                text "Angelina, 18" style "ember_name"
                text "Actress\n[ember_distance_bot] away" style "ember_job"
                text "i want a man to have sexy, secret love affair with in your area" style "ember_aboutme"

                if ember_status == "swiping":
                    hbox:
                        xalign 0.5 ypos 825 spacing 120
                        imagebutton auto "gui/cellphone/ember/buttons/no_%s.png" hover_sound sound_menu_button action SetVariable("ember_bot", "unmatched") tooltip "Dislike"
                        imagebutton auto "gui/cellphone/ember/buttons/yes_%s.png" hover_sound sound_menu_button action SetVariable("ember_bot", "matched"), SetVariable("ember_unread_bot", True) tooltip "Like"

        if ((currentChapter == 2 and ember_status == "swiping" and ember_helen == "undecided") or ember_helen == "matched"):
            if ember_helen == "undecided" or ember_match == "helen":
                add "gui/cellphone/ember/bgs/match.png"
                imagebutton idle "gui/cellphone/ember/images/helen_01.png" action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "helen_01") focus_mask True
                imagebutton auto "gui/cellphone/ember/buttons/fullscreen_%s.png" hover_sound sound_menu_button action Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "helen_01") focus_mask True

                text "Helen, 18" style "ember_name"
                text "Student\n[ember_distance_helen] away" style "ember_job"
                text "If you like animals, hit me up! Let's be animals together." style "ember_aboutme"
                hbox:
                    xpos 772 ypos 745 spacing 1
                    add "images/emojis/frog.png" yalign 0.5
                    add "images/emojis/hedgehog.png" yalign 0.5
                    add "images/emojis/raccoon.png" yalign 0.5
                    add "images/emojis/fox.png" yalign 0.5
                    add "images/emojis/monkey.png" yalign 0.5

                if ember_status == "swiping":
                    hbox:
                        xalign 0.5 ypos 825 spacing 120
                        imagebutton auto "gui/cellphone/ember/buttons/no_%s.png" hover_sound sound_menu_button action SetVariable("ember_helen", "unmatched") tooltip "Dislike"
                        imagebutton auto "gui/cellphone/ember/buttons/yes_%s.png" hover_sound sound_menu_button action SetVariable("ember_helen", "matched"), SetVariable("ember_unread_helen", True) tooltip "Like"


    if ember_status == "swiping":
        if emberPlus:
            imagebutton auto "gui/cellphone/ember/buttons/rewind_%s.png" xalign 0.5 ypos 825 tooltip "Reset" hover_sound sound_menu_button action [
            If(ember_chad == "unmatched", (SetVariable("ember_chad", "undecided"))),
            If(ember_bot == "unmatched", (SetVariable("ember_bot", "undecided"))),
            If(ember_nina == "unmatched", (SetVariable("ember_nina", "undecided"))),
            If(ember_helen == "unmatched", (SetVariable("ember_helen", "undecided"))),
            If(ember_becca == "unmatched", (SetVariable("ember_becca", "undecided")))]

    add "gui/cellphone/Phone_HomepageEmpty01.png"

screen ember_swiping():
    imagebutton auto "gui/cellphone/ember/buttons/close_%s.png" ypos 180 xpos 1105 action SetVariable("ember_status", "none") hover_sound sound_menu_button

screen ember_not_swiping():
    button:
        style "ember_basic_button" xalign 0.5 ypos 840 action SetVariable("ember_status", "messaging")
        text "Continue conversation" style "ember_basic_button_text"
    imagebutton auto "gui/cellphone/ember/buttons/close_%s.png" ypos 180 xpos 1105 action SetVariable("ember_status", "messaging") hover_sound sound_menu_button

screen ember_viewing():
    zorder 205
    modal True
    add "gui/overlay/confirm.png"
    if emberViewingImage == "None":
        text "Image not found." xalign 0.5 yalign 0.4
    else:
        add "gui/cellphone/ember/images/full_" + "[emberViewingImage]" + ".png" xalign 0.5 yalign 0.5
    button:
        xysize (1920,1080)
        action Hide("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "None")

screen ember_messages():
    add "gui/cellphone/ember/bgs/none.png"
    add "gui/cellphone/ember/bgs/send.png"
    add "gui/cellphone/ember/bgs/half.png"

    if ember_match == "chad":
        use ember_messages_chad
    elif ember_match == "bot":
        use ember_messages_bot
    elif ember_match == "nina":
        use ember_messages_nina
    elif ember_match == "helen":
        use ember_messages_helen
    elif ember_match == "becca":
        use ember_messages_becca

    imagebutton auto "gui/cellphone/ember/buttons/close_%s.png" ypos 180 xpos 1105 action SetVariable("ember_status", "none"), SetVariable("ember_match", "none") hover_sound sound_menu_button

    add "gui/cellphone/Phone_HomepageEmpty01.png"

screen ember_messages_chad():
    imagebutton auto "gui/cellphone/ember/buttons/vp_chad_%s.png" focus_mask True action SetVariable("ember_status", "viewing_profile") xpos 730 ypos 164

    if currentChapter == 1:
        vbox:
            xpos 1115 yalign 0.65
            spacing 15
            if chad_op_01 == "undecided":
                button:
                    style "R1" action SetVariable("chad_op_01", "A"), Show("refresh")
                    text "Hello" style "self"

            elif (chad_op_01 == "A") and (chad_op_03 == "undecided"):
                if chad_op_02 == "undecided":
                    button:
                        style "R1" action SetVariable("chad_op_02", "A"), Show("refresh")
                        text "What?" style "self"
                button:
                    style "R1" action SetVariable("chad_op_03", "A"), Show("refresh")
                    text "I'm not gay!" style "self"

            elif (chad_op_03p2 == False):
                button:
                    style "R2" action SetVariable("chad_op_03p2", True), Show("refresh")
                    text "Oh, that... that was an accident." style "self"

            elif chad_op_04 == "undecided":
                button:
                    style "R2" action SetVariable("chad_op_04", "A"), Show("refresh")
                    text "Uh... only the first part was an accident..." style "self"
                button:
                    style "R1" action SetVariable("chad_op_04", "B"), Show("refresh")
                    text "{i}Exactly.{/i}" style "self"

            if emberPlus:
                button:
                    style "R0" action [
                    If(emberRewinds > 0, SetVariable("chad_op_01", "undecided")),
                    If(emberRewinds > 0, SetVariable("chad_op_02", "undecided")),
                    If(emberRewinds > 0, SetVariable("chad_op_03", "undecided")),
                    If(emberRewinds > 0, SetVariable("chad_op_04", "undecided")),
                    If(emberRewinds > 0, SetVariable("chad_op_03p2", False)),
                    If(emberRewinds > 0, SetVariable("emberRewinds", emberRewinds - 1)),
                    Show("refresh_silent"),
                    SensitiveIf(emberRewinds > 0)]
                    text "Reset (" + "{b}[emberRewinds]{/b}" + " remaining)" style "self"
                    tooltip "Ember Plus can be used to reset awkward conversations. Limited use!"


    frame:
        background None
        xpos 758
        ypos 270
        has side ("c r"):
            area (1,0,392,560)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            if chad_op_01 == "A":
                button:
                    style "S1" action NullAction()
                    text "Hello" style "self"
                button:
                    style "O1" action NullAction()
                    text "Heyyy" style "other"
                button:
                    style "O1" action NullAction()
                    text "Top or bottom?" style "other"

            if chad_op_02 == "A":
                button:
                    style "S1" action NullAction()
                    text "What?" style "self"
                button:
                    style "O1" action NullAction()
                    text "You know" style "other"
                button:
                    style "O2" action NullAction()
                    text "Do you suck, or get sucked?" style "other"
                    add "Emojis/eggplant.png" ypos 35 xpos 100

            if chad_op_03 == "A":
                button:
                    style "S1" action NullAction()
                    text "I'm not gay!" style "self"
                button:
                    style "O4" action NullAction()
                    text "You sure about that? Because your profile says you're looking for men." style "other"

            if chad_op_03p2:
                button:
                    style "S2" action NullAction()
                    text "Oh, that... that was an accident." style "self"
                button:
                    style "O1" action NullAction()
                    text "Riiight..." style "other"
                button:
                    style "O5" action NullAction()
                    text "You signed up as gay on Ember, matched with me, and sent me a message... all by accident?" style "other"

            if chad_op_04 == "A":
                button:
                    style "S2" action NullAction()
                    text "Uh... only the first part was an accident..." style "self"
                button:
                    style "O2" action NullAction()
                    text "Couldn't resist the temptation, huh?" style "other"
                button:
                    style "O4" action NullAction()
                    text "Hehe, I see. Let me know if you want to make some more \"mistakes\"." style "other"
                    add "Emojis/Wink.png" ypos 90 xpos 127

            if chad_op_04 == "B":
                button:
                    style "S1" action NullAction()
                    text "{i}Exactly.{/i}" style "self"
                button:
                    style "O2" action NullAction()
                    text "Alright, buddy... whatever you say." style "other"

        vbar value YScrollValue("my_scroller") style "ember_bar"

default clicked_bot_link = False
screen ember_messages_bot():
    imagebutton auto "gui/cellphone/ember/buttons/vp_bot_%s.png" focus_mask True action SetVariable("ember_status", "viewing_profile") xpos 730 ypos 164

    vbox:
        xpos 1115 yalign 0.65
        spacing 15
        if currentChapter == 2:
            if (ch2_bot_01 == False):
                button:
                    style "R2" action SetVariable("ch2_bot_01", True), Show("refresh")
                    text "Is your picture a stock photo?" style "self"

            elif (ch2_bot_02 == False):
                button:
                    style "R1" action SetVariable("ch2_bot_02", True), Show("refresh")
                    text "Are you a bot?" style "self"

            elif (ch2_bot_03 == False):
                button:
                    style "R1" action SetVariable("ch2_bot_03", True), Show("refresh")
                    text "Ok, bye." style "self"

            if emberPlus:
                if currentChapter == 2:
                    button:
                        style "R0" action [
                        If(emberRewinds > 0, SetVariable("ch2_bot_01", False)),
                        If(emberRewinds > 0, SetVariable("ch2_bot_02", False)),
                        If(emberRewinds > 0, SetVariable("ch2_bot_03", False)),
                        If(emberRewinds > 0, SetVariable("emberRewinds", emberRewinds - 1)),
                        SensitiveIf(emberRewinds > 0),
                        Show("refresh_silent")]
                        text "Reset (" + "{b}[emberRewinds]{/b}" + " remaining)" style "self"
                        tooltip "Ember Plus can be used to reset awkward conversations. Limited use!"

    frame:
        background None
        xpos 758
        ypos 270
        has side ("c r"):
            area (1,0,392,560)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            button:
                style "O1" action NullAction()
                text "hi, i'm so horny for u" style "other"
            button:
                style "O2" action NullAction()
                text "i need a man to f*ck in ROSEWOOD, MN" style "other"
            button:
                style "O4" action SetVariable("clicked_bot_link", True)
                text "get nude pics of me at [[link here]({color=#0000EE}www.freeviruses.cum/trojanDonkey-v1.6{/color})" style "other"

            if ch2_bot_01 == True:
                button:
                    style "S2" action NullAction()
                    text "Is your picture a stock photo?" style "self"
                button:
                    style "O2" action NullAction()
                    text "you like my picture? click to see more ;)" style "other"

            if ch2_bot_02:
                button:
                    style "S1" action NullAction()
                    text "Are you a bot?" style "self"
                button:
                    style "O2" action NullAction()
                    text "could a bot send you this? ;)" style "other"
                button:
                    style "O3" action NullAction()
                    text "ERROR: Image \"porn/hotgirltwerk4.jif\" not found." style "other"

            if ch2_bot_03:
                button:
                    style "S1" action NullAction()
                    text "OK, bye." style "self"

                text "You have blocked this person." style "timestamp" xpos 70

        vbar value YScrollValue("my_scroller") style "ember_bar"

    if clicked_bot_link:
        add "gui/cellphone/ember/bgs/overlay.png"
        add "gui/cellphone/ember/buttons/popup_sussy.png"
        button:
            xysize (1920,1080)
            action SetVariable("clicked_bot_link", False)
        button:
            xalign 0.5 ypos 705
            style "ember_popup_ok" action SetVariable("clicked_bot_link", False)
            text "OK" style "ember_popup_ok_text"

screen ember_messages_helen():
    imagebutton auto "gui/cellphone/ember/buttons/vp_helen_%s.png" focus_mask True action SetVariable("ember_status", "viewing_profile") xpos 730 ypos 164

    vbox:
        xpos 1115 yalign 0.65
        spacing 15
        if currentChapter == 2:
            if ch2_helen_01 == "None":
                button:
                    style "R1" action SetVariable("ch2_helen_01", "Hi"), Show("refresh")
                    text "Hi, Helen." style "self"
                button:
                    style "R1" action SetVariable("ch2_helen_01", "Ignore"), Show("refresh_silent")
                    text "(Ignore)" style "self"

            elif ch2_helen_01 == "Hi":
                if ch2_helen_02 == "None":
                    button:
                        style "R1" action SetVariable("ch2_helen_02", "Miller"), Show("refresh")
                        text "I'm with Miller." style "self"
                    button:
                        style "R1" action SetVariable("ch2_helen_02", "Mr"), Show("refresh")
                        text "I'm with Mr. Miller." style "self"

                elif ch2_helen_02p2 == False:
                    button:
                        style "R1" action SetVariable("ch2_helen_02p2", True), Show("refresh")
                        text "Quick errand." style "self"

                elif ch2_helen_02p3 == False:
                    button:
                        style "R1" action SetVariable("ch2_helen_02p3", True), Show("refresh")
                        text "Uhm..." style "self"

                elif ch2_helen_03 == "None":
                    button:
                        style "R2" action SetVariable("ch2_helen_03", "Maybe"), Show("refresh")
                        text "Maybe some other time..." style "self"
                    button:
                        style "R1" action SetVariable("ch2_helen_03", "Facts"), Show("refresh")
                        text "Animal facts?" style "self"

                elif (ch2_helen_04 == "None" and ch2_helen_03 == "Facts"):
                    button:
                        style "R2" action SetVariable("ch2_helen_04", "Cool"), Show("refresh")
                        text "That's cool. Nature is crazy." style "self"
                    button:
                        style "R2" action SetVariable("ch2_helen_04", "Scary"), Show("refresh")
                        text "That's kind of scary, actually." style "self"

                elif (ch2_helen_05 == "None" and ch2_helen_03 == "Facts"):
                    button:
                        style "R1" action SetVariable("ch2_helen_05", "What"), Show("refresh")
                        text "What does it do?" style "self"
                    button:
                        style "R1" action SetVariable("ch2_helen_05", "Please"), Show("refresh")
                        text "Please don't." style "self"

                elif (ch2_helen_05 == "Please" and ch2_helen_05p2 == False):
                    button:
                        style "R1" action SetVariable("ch2_helen_05p2", True), Show("refresh")
                        text "Nooo, don't!" style "self"

                elif (ch2_helen_05 == "Please" and ch2_helen_05p3 == False):
                    button:
                        style "R1" action SetVariable("ch2_helen_05p3", True), Show("refresh")
                        text "Not this kind!" style "self"

                elif (ch2_helen_06 == "None" and ch2_helen_05 == "What"):
                    button:
                        style "R1" action SetVariable("ch2_helen_06", "Probably"), Show("refresh")
                        text "Uhm... Probably." style "self"
                    button:
                        style "R2" action SetVariable("ch2_helen_06", "Find"), Show("refresh")
                        text "I don't want to find out." style "self"

                elif (ch2_helen_06 != "None" and ch2_helen_06p2 == False):
                    button:
                        style "R1" action SetVariable("ch2_helen_06p2", True), Show("refresh")
                        text "What? There's a pool?" style "self"

                elif (ch2_helen_07 == "None" and ch2_helen_05 == "Please"):
                    button:
                        style "R2" action SetVariable("ch2_helen_07", "Hold"), Show("refresh")
                        text "Let's put those on hold for now." style "self"
                    button:
                        style "R1" action SetVariable("ch2_helen_07", "Ahead"), SetVariable("ch2_helen_blocked", True), Show("refresh")
                        text "Go ahead." style "self"

                elif (ch2_helen_07 == "Ahead" and ch2_helen_07p2 == False):
                    button:
                        style "R2" action SetVariable("ch2_helen_07p2", True), Show("refresh")
                        text "WTF... That's still an animal fact." style "self"

                elif (ch2_helen_07 == "Ahead" and ch2_helen_07p3 == False):
                    button:
                        style "R3" action SetVariable("ch2_helen_07p3", True), Show("refresh")
                        text "Do you just talk about animal facts with everyone?" style "self"

            if emberPlus:
                button:
                    style "R0" action [
                    If(emberRewinds > 0, SetVariable("ch2_helen_01", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_helen_02", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_helen_03", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_helen_04", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_helen_05", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_helen_06", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_helen_07", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_helen_blocked", False)),

                    If(emberRewinds > 0, SetVariable("ch2_helen_02p2", False)),
                    If(emberRewinds > 0, SetVariable("ch2_helen_02p3", False)),
                    If(emberRewinds > 0, SetVariable("ch2_helen_06p2", False)),
                    If(emberRewinds > 0, SetVariable("ch2_helen_05p2", False)),
                    If(emberRewinds > 0, SetVariable("ch2_helen_05p3", False)),
                    If(emberRewinds > 0, SetVariable("ch2_helen_07p2", False)),
                    If(emberRewinds > 0, SetVariable("ch2_helen_07p3", False)),

                    If(emberRewinds > 0, SetVariable("emberRewinds", emberRewinds - 1)),
                    SensitiveIf(emberRewinds > 0),
                    Show("refresh_silent")]
                    text "Reset (" + "{b}[emberRewinds]{/b}" + " remaining)" style "self"
                    tooltip "Ember Plus can be used to reset awkward conversations. Limited use!"

    frame:
        background None
        xpos 758
        ypos 270
        has side ("c r"):
            area (1,0,392,560)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            button:
                style "O1" action NullAction()
                text "OMG!" style "other"
            button:
                style "O1" action NullAction()
                if len(player) < 11:
                    text "Hi [y2]!" style "other"
                else:
                    text "Hi!" style "other"

            if ch2_helen_01 == "Hi":
                button:
                    style "S1" action NullAction()
                    text "Hi, [fep]." style "self"
                button:
                    style "O1" action NullAction()
                    text "Where are you?" style "other"
                button:
                    style "O2" action NullAction()
                    text "[ch2_major_choice] was looking for you." style "other"

            if ch2_helen_02 == "Miller":
                button:
                    style "S1" action NullAction()
                    text "I'm with Miller." style "self"

            if ch2_helen_02 == "Mr":
                button:
                    style "S1" action NullAction()
                    text "I'm with Mr. Miller." style "self"

            if (ch2_helen_02 == "Miller" or ch2_helen_02 == "Mr"):
                button:
                    style "O2" action NullAction()
                    text "Why are you with him?" style "other"

                if ch2_helen_02p2:
                    button:
                        style "S1" action NullAction()
                        text "Quick errand." style "self"
                    button:
                        style "O2" action NullAction()
                        text "Why are you on Ember?" style "other"
                if ch2_helen_02p3:
                    button:
                        style "S1" action NullAction()
                        text "Uhm..." style "self"
                    button:
                        style "O2" action NullAction()
                        text "Fret not, sir! I know what you're here for..." style "other"
                    button:
                        style "O2" action NullAction()
                        text "{i}Amazing animal{/i}" style "other" xoffset 25
                        text "{i}facts!{/i}" style "other" yoffset 29
                        add "Emojis/sparkles.png" ypos 10 xpos 10
                        add "Emojis/sparkles.png" ypos 40 xpos 70
                    imagebutton:
                        action Play("sound", "audio/sfx/animal_facts.mp3")
                        idle "gui/cellphone/ember/images/animal_facts_idle.png"
                        hover "gui/cellphone/ember/images/animal_facts_hover.png"
                        hover_sound sound_menu_button

            if ch2_helen_03 == "Maybe":
                button:
                    style "S2" action NullAction()
                    text "Maybe some other time..." style "self"
                button:
                    style "O1" action NullAction()
                    text "Boo." style "other"

            if ch2_helen_03 == "Facts":
                button:
                    style "S1" action NullAction()
                    text "Animal facts?" style "self"
                button:
                    style "O3" action NullAction()
                    text "Did you know that honeybees mate while flying?" style "other"
                button:
                    style "O4" action NullAction()
                    text "And afterwards the males' reproductive organs are ripped out of their bodies!" style "other"
                button:
                    style "O1" action NullAction()
                    text "Isn't that interesting?" style "other"

            if ch2_helen_04 == "Cool":
                button:
                    style "S2" action NullAction()
                    text "That's cool. Nature is crazy." style "self"
                button:
                    style "O1" action NullAction()
                    text "I know!!!" style "other"
                button:
                    style "O2" action NullAction()
                    text "Do you know about the praying mantis?" style "other"

            if ch2_helen_04 == "Scary":
                button:
                    style "S2" action NullAction()
                    text "That's kind of scary actually." style "self"
                button:
                    style "O1" action NullAction()
                    text "Oh..." style "other"
                button:
                    style "O3" action NullAction()
                    text "I guess I shouldn't tell you about the praying mantis." style "other"

            if ch2_helen_05 == "What":
                button:
                    style "S1" action NullAction()
                    text "What does it do?" style "self"
                button:
                    style "O5" action NullAction()
                    text "The female rips the male's head off and eats it for nutrition! Unless he escapes first. Hihi" style "other"
                button:
                    style "O5" action NullAction()
                    text "If you and I were praying mantis, would you be able to escape before I ripped your head off?" style "other"

                if ch2_helen_06 == "Probably":
                    button:
                        style "S1" action NullAction()
                        text "Uhm... Probably." style "self"
                if ch2_helen_06 == "Find":
                    button:
                        style "S2" action NullAction()
                        text "I don't want to find out." style "self"

                if ch2_helen_06 != "None":
                    button:
                        style "O1" action NullAction()
                        text "Interesting..." style "other"
                    button:
                        style "O3" action NullAction()
                        text "Btw you missed out on cleaning the pool. Big mistake!" style "other"
                    if ch2_helen_06p2:
                        button:
                            style "S1" action NullAction()
                            text "What? There's a pool?" style "self"

            if ch2_helen_05 == "Please":
                button:
                    style "S1" action NullAction()
                    text "Please don't." style "self"
                button:
                    style "O3" action NullAction()
                    text "Snails are herma- phrodites! They both become impregnated." style "other"

                if ch2_helen_05p2:
                    button:
                        style "S1" action NullAction()
                        text "Nooo, don't!" style "self"
                    button:
                        style "O3" action NullAction()
                        text "You said no to the mantis! This was about SNAILS!" style "other"
                        add "Emojis/snail.png" ypos 62 xpos 159
                    button:
                        style "O2" action NullAction()
                        text "You don't like animal facts?" style "other"
                if ch2_helen_05p3:
                    button:
                        style "S1" action NullAction()
                        text "Not this kind!" style "self"
                    button:
                        style "O1" action NullAction()
                        text "I'm sorry." style "other"
                        add "Emojis/sad.png" ypos 10 xpos 105
                    button:
                        style "O2" action NullAction()
                        text "How about some aquatic facts?" style "other"

                if ch2_helen_07 == "Hold":
                    button:
                        style "S2" action NullAction()
                        text "Let's put those on hold for now." style "self"
                    button:
                        style "O1" action NullAction()
                        if len(player) < 7:
                            text "Your loss, [y2]!" style "other"
                        else:
                            text "Your loss!" style "other"


                if ch2_helen_07 == "Ahead":
                    button:
                        style "S1" action NullAction()
                        text "Go ahead." style "self"
                    button:
                        style "O4" action NullAction()
                        text "Blue whales release up to 5 gallons of sperm during intercourse!" style "other"

                    if ch2_helen_07p2:
                        button:
                            style "S2" action NullAction()
                            text "WTF... That's still an animal fact." style "self"
                        button:
                            style "O4" action NullAction()
                            text "Aquatic means in water or relating to water, also used for aquatic animals." style "other"

                    if ch2_helen_07p3:
                        button:
                            style "S3" action NullAction()
                            text "Do you just talk about animal facts with everyone?" style "self"
                        button:
                            style "O3" action NullAction()
                            text "Well gee, I'm sorry for wanting to share. BLOCKED." style "other"

                        if ch2_helen_blocked:
                            text "[fep] has blocked you." style "timestamp" xpos 90

            if currentChapter >= 4:
                if ch2_helen_01 != "Hi":
                    button:
                        style "O1" action NullAction()
                        text "Fine, don't respond." style "other"

                    text "[fep] has blocked you." style "timestamp" xpos 90

        vbar value YScrollValue("my_scroller") style "ember_bar"

screen ember_messages_nina():
    imagebutton auto "gui/cellphone/ember/buttons/vp_nina_%s.png" focus_mask True action SetVariable("ember_status", "viewing_profile") xpos 730 ypos 164

    vbox:
        xpos 1115 yalign 0.65
        spacing 15
        if currentChapter == 2:
            if (ch2_nina_01 == "None"):
                button:
                    style "R1" action SetVariable("ch2_nina_01", "Nihao"), SetVariable("ch2_nina_insulted", True), Show("refresh")
                    text "Nee hao!" style "self"
                button:
                    style "R1" action SetVariable("ch2_nina_01", "Hey"), Show("refresh")
                    text "Hey" style "self"

            elif (ch2_nina_01 == "Hey" and ch2_nina_01p2 == False):
                button:
                    style "R2" action SetVariable("ch2_nina_01p2", True), Show("refresh")
                    text "I'm running errands for my teacher. You?" style "self"


            elif (ch2_nina_02 == "None" and ch2_nina_01 == "Nihao"):
                button:
                    style "R2" action SetVariable("ch2_nina_02", "Sorry"), SetVariable("ch2_nina_insulted", False), Show("refresh")
                    text "Sorry, I didn't mean to insult you." style "self"
                button:
                    style "R2" action SetVariable("ch2_nina_02", "Japanese"), Show("refresh")
                    text "So you DO speak Japanese!" style "self"

            elif (ch2_nina_03 == "None" and ch2_nina_01 == "Hey"):
                button:
                    style "R2" action SetVariable("ch2_nina_03", "Nerd"), Show("refresh")
                    text "Yeah, I'm a bit of a nerd, I guess..." style "self"
                button:
                    style "R2" action SetVariable("ch2_nina_03", "Insecure"), Show("refresh")
                    text "No need to feel insecure." style "self"

            elif (ch2_nina_history == False and (ch2_nina_02 == "Sorry" or (ch2_nina_03 != "None" and ch2_nina_insulted == False))):
                button:
                    style "R1" action SetVariable("ch2_nina_history", True), Show("refresh")
                    text "So, you like history?" style "self"

            elif (ch2_nina_04 == "None" and (ch2_nina_03 != "None" or ch2_nina_02 != "None") and ch2_nina_insulted == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04", "Yes"), Show("refresh")
                    text "Yes, of course! {color=#33ff33}(Unlock Image 1)" style "self"
                button:
                    style "R1" action SetVariable("ch2_nina_04", "No"), Show("refresh")
                    text "Not really... {color=#33ff33}(Unlock Image 2)" style "self"

            elif (ch2_nina_04 == "Yes" and ch2_nina_04p2 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p2", True), Show("refresh")
                    text "Really?" style "self"

            elif (ch2_nina_04 == "Yes" and ch2_nina_04p3 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p3", True), Show("refresh")
                    text "...do you?" style "self"

            elif (ch2_nina_04 == "Yes" and ch2_nina_04p4 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p4", True), Show("refresh")
                    text "Just kidding lmao" style "self"

            elif (ch2_nina_04 == "Yes" and ch2_nina_04p5 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p5", True), Show("refresh")
                    text "That's a shame." style "self"

            elif (ch2_nina_04 == "Yes" and ch2_nina_04p6 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p6", True), Show("refresh")
                    text "OK, that works." style "self"

            elif (ch2_nina_04 == "Yes" and ch2_nina_04p7 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p7", True), Show("refresh")
                    text "See you." style "self"

            elif (ch2_nina_04 == "No" and ch2_nina_04p8 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p8", True), Show("refresh")
                    text "I just... never did." style "self"

            elif (ch2_nina_04 == "No" and ch2_nina_04p9 == False):
                button:
                    style "R2" action SetVariable("ch2_nina_04p9", True), Show("refresh")
                    text "You think you could do that?" style "self"

            elif (ch2_nina_04 == "No" and ch2_nina_04p10 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p10", True), Show("refresh")
                    text "Ok, do it." style "self"

            elif (ch2_nina_04 == "No" and ch2_nina_04p11 == False):
                button:
                    style "R3" action SetVariable("ch2_nina_04p11", True), Show("refresh")
                    text "I'm feeling a growing interest in learning more." style "self"

            elif (ch2_nina_04 == "No" and ch2_nina_04p12 == False):
                button:
                    style "R2" action SetVariable("ch2_nina_04p12", True), Show("refresh")
                    text "Damn, right when I wanted to learn more." style "self"

            elif (ch2_nina_04 == "No" and ch2_nina_04p13 == False):
                button:
                    style "R1" action SetVariable("ch2_nina_04p13", True), Show("refresh")
                    text "You better! Bye!" style "self"

            elif (ch2_nina_04 == "No" and ch2_nina_04p14 == False):
                button:
                    style "R2" action SetVariable("ch2_nina_04p14", True), Show("refresh")
                    text "I won't ghost you, I promise." style "self"

        elif (currentChapter == 4 and (ch2_nina_04p7 == True or ch2_nina_04p14 == True)):
            if (ch4_nina == 0):
                button:
                    style "R1" action SetVariable("ch4_nina", 1), Show("refresh")
                    text "Hey" style "self"

            elif (ch4_nina == 1):
                button:
                    style "R1" action SetVariable("ch4_nina", 2), Show("refresh")
                    text "How have you been?" style "self"

            elif (ch4_nina == 2):
                button:
                    style "R1" action SetVariable("ch4_nina", 3), Show("refresh")
                    text "Helloooo?" style "self"

            if (ch4_nina == 3 and ch2_nina_04p13 == True):
                button:
                    style "R1" action SetVariable("ch4_nina", 4), Show("refresh")
                    text "Wow, ghosted." style "self"

        if emberPlus:
            if currentChapter == 2:
                button:
                    style "R0" action [
                    If(emberRewinds > 0, SetVariable("ch2_nina_01", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_nina_02", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_nina_03", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04", "None")),
                    If(emberRewinds > 0, SetVariable("ch2_nina_insulted", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_likes_you", False)),

                    If(emberRewinds > 0, SetVariable("ch2_nina_01p2", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_history", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p2", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p3", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p4", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p5", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p6", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p7", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p8", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p9", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p10", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p11", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p12", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p13", False)),
                    If(emberRewinds > 0, SetVariable("ch2_nina_04p14", False)),

                    If(emberRewinds > 0, SetVariable("emberRewinds", emberRewinds - 1)),
                    SensitiveIf(emberRewinds > 0),
                    Show("refresh_silent")
                    ]
                    text "Reset (" + "{b}[emberRewinds]{/b}" + " remaining)" style "self"
                    tooltip "Ember Plus can be used to reset awkward conversations. Limited use!"

            elif currentChapter == 4:
                button:
                    style "R0" action [
                    If(emberRewinds > 0, SetVariable("ch4_nina", 0)),
                    If(emberRewinds > 0, SetVariable("emberRewinds", emberRewinds - 1)),
                    SensitiveIf(emberRewinds > 0),
                    Show("refresh_silent")]
                    text "Reset (" + "{b}[emberRewinds]{/b}" + " remaining)" style "self"
                    tooltip "Ember Plus can be used to reset awkward conversations. Limited use!"

    frame:
        background None
        xpos 758
        ypos 270
        has side ("c r"):
            area (1,0,392,560)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            if ch2_nina_01 == "Nihao":
                button:
                    style "S1" action NullAction()
                    text "Nee hao!" style "self"
                button:
                    style "O2" action NullAction()
                    text "That's Chinese, not Japanese..." style "other"
                button:
                    style "O3" action NullAction()
                    text "I don't even speak Japanese, I grew up in Minnesota" style "other"
                button:
                    style "O2" action NullAction()
                    text "aaaand you spelled Nihao wrong" style "other"

            elif ch2_nina_01 == "Hey":
                button:
                    style "S1" action NullAction()
                    text "Hey" style "self"
                button:
                    style "O1" action NullAction()
                    text "Heyyy! What's up?" style "other"
            if ch2_nina_01p2 == True:
                button:
                    style "S2" action NullAction()
                    text "I'm running errands for my teacher. You?" style "self"
                button:
                    style "O2" action NullAction()
                    text "Eating a burrito soon lol" style "other"
                button:
                    style "O4" action NullAction()
                    text "So youre taking classes in the summer AND running errands for your teacher?" style "other"
                button:
                    style "O4" action NullAction()
                    text "You sound like one of those smart kids that used to make me feel insecure!" style "other"
                    add "Emojis/sweat.png" ypos 92 xpos 108

            if ch2_nina_02 == "Sorry":
                button:
                    style "S2" action NullAction()
                    text "Sorry, I didn't mean to insult you." style "self"
                button:
                    style "O3" action NullAction()
                    text "It's okaaay, I'm used to it. And you're kinda cute, so..." style "other"
                    add "Emojis/wink.png" ypos 65 xpos 101
                button:
                    style "O1" action NullAction()
                    text "I forgive you" style "other"

            elif ch2_nina_02 == "Japanese":
                button:
                    style "S2" action NullAction()
                    text "So you DO speak Japanese!" style "self"
                button:
                    style "O1" action NullAction()
                    text " " style "other"
                    add "Emojis/facepalm.png" ypos 10 xpos 10

            if ch2_nina_03 == "Nerd":
                button:
                    style "S2" action NullAction()
                    text "Yeah, I'm a bit of a nerd, I guess..." style "self"
                button:
                    style "O1" action NullAction()
                    text "I love nerdy guys" style "other"
                    add "Emojis/heart.png" ypos 10 xpos 185
                button:
                    style "O3" action NullAction()
                    text "Rant to me about the fall of the Roman empire, daddy" style "other"
                button:
                    style "O1" action NullAction()
                    text "ahahaha" style "other"
                button:
                    style "S1" action NullAction()
                    text "Haha!" style "self"

            elif ch2_nina_03 == "Insecure":
                button:
                    style "S2" action NullAction()
                    text "No need to feel insecure." style "self"
                button:
                    style "S5" action NullAction()
                    text "I got roped into running errands against my will, so clearly I'm not that smart either!" style "self"
                button:
                    style "O1" action NullAction()
                    text "Phew" style "other"
                    add "Emojis/sweat.png" ypos 10 xpos 70
                button:
                    style "O2" action NullAction()
                    text "We'll be stupid together!" style "other"

            if (ch2_nina_02 == "Sorry" or (ch2_nina_03 != "None" and ch2_nina_insulted == False)):
                if ch2_nina_history == True:
                    button:
                        style "S1" action NullAction()
                        text "So, you like history?" style "self"
                    if ch2_nina_01 == "Nihao":
                        button:
                            style "O1" action NullAction()
                            text "I do" style "other"
                    elif ch2_nina_01 == "Hey":
                        button:
                            style "O1" action NullAction()
                            text "I love history!" style "other"
                    button:
                        style "O1" action NullAction()
                        text "Do you like history?" style "other"

            if ch2_nina_04 == "Yes":
                $ ch2_nina_likes_you = True
                button:
                    style "S1" action NullAction()
                    text "Yes, of course!" style "self"
                button:
                    style "O3" action NullAction()
                    text "Amazing. You're like, the first guy to say that" style "other"

            if ch2_nina_04p2:
                button:
                    style "S1" action NullAction()
                    text "Really?" style "self"
                button:
                    style "O1" action NullAction()
                    text "Yeah, for real" style "other"
                button:
                    style "O3" action NullAction()
                    text "They all just go 'hey and so ummm you got any pics???'" style "other"

            if ch2_nina_04p3:
                button:
                    style "S1" action NullAction()
                    text "...do you?" style "self"
                button:
                    style "O1" action NullAction()
                    text "..." style "other"

            if ch2_nina_04p4:
                button:
                    style "S1" action NullAction()
                    text "Just kidding lmao" style "self"
                button:
                    style "O1" action NullAction()
                    text "!!!" style "other"
                button:
                    style "O2" action NullAction()
                    text "Was so ready to just ignore! ahaha" style "other"
                button:
                    style "O2" action NullAction()
                    text "Would love to talk more, but i have to go" style "other"
                button:
                    style "O1" action NullAction()
                    text "for my burrito!" style "other"

            if ch2_nina_04p5:
                button:
                    style "S1" action NullAction()
                    text "That's a shame." style "self"
                button:
                    style "O2" action NullAction()
                    text "We can talk more later!" style "other"
                button:
                    style "O2" action NullAction()
                    text "Maybe this will cheer you up" style "other"

                imagebutton:
                    idle "gui/cellphone/ember/images/ninaSent_01_idle.png"
                    hover "gui/cellphone/ember/images/ninaSent_01_hover.png"
                    hover_sound sound_menu_button
                    action [Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "nina_sent_01"),
                            If(persistent.unlocked_nina_01 == False, SetVariable("persistent.unlocked_nina_01", True)),
                            If(persistent.unlocked_nina_01 == False, Play("sound", [bonus_image])),
                            If(persistent.unlocked_nina_01 == False, Notify("You found a bonus image!"))]

            if ch2_nina_04p6:
                button:
                    style "S1" action NullAction()
                    text "OK, that works." style "self"
                button:
                    style "O1" action NullAction()
                    text "Laters!" style "other"

            if ch2_nina_04p7:
                button:
                    style "S1" action NullAction()
                    text "See you." style "self"
                button:
                    style "S1" action NullAction()
                    text "I mean, talk you later." style "self"
                button:
                    style "S1" action NullAction()
                    text "To* you... later!" style "self"
                button:
                    style "S1" action NullAction()
                    add "Emojis/facepalm.png" ypos 10 xpos 10
                button:
                    style "O1" action NullAction()
                    text "ahaha" style "other"
                    add "Emojis/wave.png" ypos 10 xpos 80
                    add "Emojis/lipsKiss.png" ypos 12 xpos 110

            elif ch2_nina_04 == "No":
                $ ch2_nina_likes_you = True
                button:
                    style "S1" action NullAction()
                    text "Not really." style "self"
                button:
                    style "O1" action NullAction()
                    text "Whaat, why not?" style "other"

            if ch2_nina_04p8:
                button:
                    style "S1" action NullAction()
                    text "I just... never did." style "self"
                button:
                    style "O3" action NullAction()
                    text "Maybe you never had a good teacher to inspire you to learn!" style "other"

            if ch2_nina_04p9:
                button:
                    style "S2" action NullAction()
                    text "You think you could do that?" style "self"
                button:
                    style "O1" action NullAction()
                    text "Yes!" style "other"
                button:
                    style "O1" action NullAction()
                    text "Easily" style "other"

            if ch2_nina_04p10:
                button:
                    style "S1" action NullAction()
                    text "OK, do it." style "self"

                imagebutton:
                    idle "gui/cellphone/ember/images/ninaSent_02_idle.png"
                    hover "gui/cellphone/ember/images/ninaSent_02_hover.png"
                    hover_sound sound_menu_button
                    action [Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "nina_sent_02"),
                            If(persistent.unlocked_nina_02 == False, SetVariable("persistent.unlocked_nina_02", True)),
                            If(persistent.unlocked_nina_02 == False, Play("sound", [bonus_image])),
                            If(persistent.unlocked_nina_02 == False, Notify("You found a bonus image!"))]

                button:
                    style "O2" action NullAction()
                    text "Are you interested in history yet?" style "other"

            if ch2_nina_04p11:
                button:
                    style "S1" action NullAction()
                    text "Well..." style "self"
                button:
                    style "S3" action NullAction()
                    text "I'm feeling a growing interest in learning more." style "self"
                button:
                    style "O1" action NullAction()
                    text "Good!" style "other"
                button:
                    style "O4" action NullAction()
                    text "Maybe I can inspire you more later... because sadly I have to go now" style "other"

            if ch2_nina_04p12:
                button:
                    style "S2" action NullAction()
                    text "Damn, right when I wanted to learn more." style "self"
                button:
                    style "S1" action NullAction()
                    text "...about history." style "self"
                button:
                    style "O1" action NullAction()
                    add "Emojis/happy.png" ypos 10 xpos 10
                button:
                    style "O1" action NullAction()
                    text "ttyl!" style "other"
                    add "Emojis/wave.png" ypos 10 xpos 55

            if ch2_nina_04p13:
                button:
                    style "S1" action NullAction()
                    text "You better! Bye!" style "self"
                button:
                    style "O2" action NullAction()
                    text "Dont worry, i dont ghost anyone" style "other"
                button:
                    style "O1" action NullAction()
                    text "I only get ghosted" style "other"
                    add "Emojis/sad.png" ypos 10 xpos 196

            if ch2_nina_04p14:
                button:
                    style "S2" action NullAction()
                    text "I won't ghost you, I promise." style "self"
                button:
                    style "O1" action NullAction()
                    text "!!!" style "other"
                    add "Emojis/lipsKiss.png" ypos 12 xpos 35

            if ch4_nina > 0:
                button:
                    style "S1" action NullAction()
                    text "Hey" style "self"
                if ch4_nina > 1:
                    button:
                        style "S1" action NullAction()
                        text "How have you been?" style "self"
                    if ch4_nina > 2:
                        button:
                            style "S1" action NullAction()
                            text "Helloooo?" style "self"
                        if ch4_nina > 3:
                            button:
                                style "S1" action NullAction()
                                text "Wow, ghosted." style "self"

        vbar value YScrollValue("my_scroller") style "ember_bar"

screen ember_messages_becca():
    imagebutton auto "gui/cellphone/ember/buttons/vp_becca_%s.png" focus_mask True action SetVariable("ember_status", "viewing_profile") xpos 730 ypos 164

    vbox:
        xpos 1115 yalign 0.65
        spacing 15
        if currentChapter == 4:

            if ch4bec_A < 3:
                if ch4bec_A < 1:
                    button:
                        style "R1" action SetVariable("ch4bec_A", 1), Show("refresh")
                        text "Hey there." style "self"
                elif ch4bec_A < 2:
                    button:
                        style "R4" action SetVariable("ch4bec_A", 2), Show("refresh")
                        text "Nice to meet you, Newt! Can't say I've ever matched with any salamanders before..." style "self"
                elif ch4bec_A < 3:
                    button:
                        style "R2" action SetVariable("ch4bec_A", 3), Show("refresh")
                        text "What brings you to Ember?" style "self"


            elif ch4bec_B == 0:
                button:
                    style "R1" action SetVariable("ch4bec_B", 1), Show("refresh")
                    text "{color=#33ff33}He sounds like an idiot." style "self"
                button:
                    style "R2" action SetVariable("ch4bec_B", 2), Show("refresh")
                    text "How many pounds are we talking...?" style "self"


            elif (ch4bec_B == 2 and ch4bec_C == "Unknown"):
                button:
                    style "R2" action SetVariable("ch4bec_C", "places"), Show("refresh")
                    text "Those pounds went in the right places." style "self"
                button:
                    style "R2" action SetVariable("ch4bec_C", "good"), Show("refresh")
                    text "Well... you look good to me." style "self"
                button:
                    style "R3" action SetVariable("ch4bec_C", "less"), SetVariable("ch4bec_redscore", ch4bec_redscore +1), Show("refresh")
                    text "Have you considered, I don't know... eating less?" style "self"


            elif (ch4bec_D == "exercise" and ch4bec_E  == "Unknown"):
                button:
                    style "R2" action SetVariable("ch4bec_E", "stress"), Show("refresh")
                    text "I know some other stress relief methods." style "self"
                button:
                    style "R2" action SetVariable("ch4bec_E", "eating"), SetVariable("ch4bec_blocked", True), Show("refresh")
                    text "Do you do anything else besides eating?" style "self"


            elif (ch4bec_D == "exercise" and ch4bec_E == "stress" and ch4bec_E2 == False):
                button:
                    style "R2" action SetVariable("ch4bec_E2", True), Show("refresh")
                    text "You, me and a strong bed." style "self"


            elif (ch4bec_B != 0 and ch4bec_D == "Unknown"):
                button:
                    style "R2" action SetVariable("ch4bec_D", "how"), Show("refresh")
                    text "So, how are you doing?" style "self"
                if ch4bec_C == "less":
                    button:
                        style "R2" action SetVariable("ch4bec_D", "exercise"), SetVariable("ch4bec_redscore", ch4bec_redscore +1), Show("refresh")
                        text "Maybe some exercise could do the trick." style "self"


            elif (ch4bec_D == "how" and ch4bec_D1 < 2):
                if ch4bec_D1 < 1:
                    button:
                        style "R1" action SetVariable("ch4bec_D1", 1), Show("refresh")
                        text "I'm also new to Ember." style "self"
                elif ch4bec_D1 < 2:
                    button:
                        style "R1" action SetVariable("ch4bec_D1", 2), Show("refresh")
                        text "That's good. For me!" style "self"


            elif (ch4bec_D1 == 2 and ch4bec_FG == "Unknown"):
                button:
                    style "R1" action SetVariable("ch4bec_F", 1), SetVariable("ch4bec_FG", "F"), Show("refresh")
                    text "{color=#33ff33}It's good for both of us." style "self"
                button:
                    style "R1" action SetVariable("ch4bec_G", 1), SetVariable("ch4bec_FG", "G"), Show("refresh")
                    text "I get to be your first." style "self"


            elif (ch4bec_FG == "F" and ch4bec_F < 4):
                if ch4bec_F < 2:
                    button:
                        style "R1" action SetVariable("ch4bec_F", 2), Show("refresh")
                        text "You'll get it soon." style "self"
                elif ch4bec_F < 3:
                    button:
                        style "R2" action SetVariable("ch4bec_F", 3), Show("refresh")
                        text "It could be, I don't know lol" style "self"
                elif ch4bec_F < 4:
                    button:
                        style "R4" action SetVariable("ch4bec_F", 4), Show("refresh")
                        text "It's good that we matched first so you don't need to keep swiping!" style "self"


            elif (ch4bec_FG == "G" and ch4bec_G < 3):
                if ch4bec_G < 2:
                    button:
                        style "R1" action SetVariable("ch4bec_G", 2), Show("refresh")
                        text "See, it's good!" style "self"
                elif ch4bec_G < 3:
                    button:
                        style "R2" action SetVariable("ch4bec_G", 3), Show("refresh")
                        text "First dibs. I get you all to myself." style "self"


            elif ((ch4bec_G == 3 or ch4bec_E2 == True) and ch4bec_H == "Unknown"):
                button:
                    style "R2" action SetVariable("ch4bec_H", "handle"), Show("refresh")
                    text "Of course! Can you handle me?" style "self"
                button:
                    style "R3" action SetVariable("ch4bec_H", "heavy"), SetVariable("ch4bec_redscore", ch4bec_redscore +1), Show("refresh")
                    text "Of course! I've lifted plenty of heavy things before." style "self"

            elif (ch4bec_H == "handle" and ch4bec_H2 == False):
                button:
                    style "R2" action SetVariable("ch4bec_H2", True), Show("refresh")
                    text "Would you like to find out?" style "self"

            elif (ch4bec_H == "heavy" and ch4bec_H3 < 1):
                button:
                    style "R1" action SetVariable("ch4bec_H3", 1), Show("refresh")
                    text "Yeah, for me!" style "self"

            elif (ch4bec_H == "heavy" and ch4bec_H3 < 2):
                button:
                    style "R2" action SetVariable("ch4bec_H3", 2), Show("refresh")
                    text "Would you like to find out?" style "self"


            elif ((ch4bec_F == 4 or ch4bec_H != "Unknown") and ch4bec_I == "Unknown"):
                button:
                    style "R2" action SetVariable("ch4bec_I", "pics"), Show("refresh")
                    text "{color=#33ff33}Do you have any more pictures of yourself?" style "self"
                button:
                    style "R2" action SetVariable("ch4bec_I", "day"), Show("refresh")
                    text "So, how's your day been otherwise?" style "self"


            elif (ch4bec_I == "day" and ch4bec_I2 == False):
                button:
                    style "R2" action SetVariable("ch4bec_I2", True), Show("refresh")
                    text "Nice! Got any pics you can show me?" style "self"


            elif ((ch4bec_I == "pics" or ch4bec_I2 == True) and ch4bec_J == False):
                button:
                    style "R1" action SetVariable("ch4bec_J", True), Show("refresh")
                    text "Nice ass." style "self"


            elif (ch4bec_K == 0 and ch4bec_L == 0 and ch4bec_E != "eating"):
                button:
                    style "R2" action SetVariable("ch4bec_K", 1), Show("refresh")
                    text "{color=#33ff33}It's okay, it's not like you were nude." style "self"
                    add "Emojis/smiling.png" ypos 37 xpos 166
                button:
                    style "R2" action SetVariable("ch4bec_L", 1), SetVariable("ch4bec_redscore", ch4bec_redscore +1), Show("refresh")
                    text "Yes. I guess you like attention?" style "self"

            elif (ch4bec_K == 1):
                button:
                    style "R3" action SetVariable("ch4bec_K", 2), Show("refresh")
                    text "Of course I liked it! You should have a little more confidence." style "self"
            elif (ch4bec_K == 2):
                button:
                    style "R3" action SetVariable("ch4bec_K", 3), Show("refresh")
                    text "I also have something else for you to work on." style "self"

            elif (ch4bec_L == 1):
                button:
                    style "R3" action SetVariable("ch4bec_L", 2), Show("refresh")
                    text "You should be. You can't just tease like that!" style "self"
            elif (ch4bec_L == 2):
                button:
                    style "R3" action SetVariable("ch4bec_L", 3), Show("refresh")
                    text "Just send more pictures. That'll save you." style "self"


            elif ((ch4bec_L == 3 or ch4bec_K == 3) and ch4bec_M == "Unknown"):
                button:
                    style "R1" action SetVariable("ch4bec_M", "good"), Show("refresh")
                    text "{color=#33ff33}That's good!" style "self"
                button:
                    style "R3" action SetVariable("ch4bec_M", "plump"), Show("refresh")
                    text "I mean... you're not ugly or anything, just a bit plump." style "self"


            elif (ch4bec_M == "good" and ch4bec_Mgood < 3):
                if ch4bec_Mgood == 0:
                    button:
                        style "R2" action SetVariable("ch4bec_Mgood", 1), Show("refresh")
                        text "You have curves in all the right places!" style "self"
                        add "Emojis/smiling.png" ypos 38 xpos 180
                elif ch4bec_Mgood == 1:
                    button:
                        style "R1" action SetVariable("ch4bec_Mgood", 2), Show("refresh")
                        text "I bet." style "self"
                        add "Emojis/wink.png" ypos 10 xpos 65
                elif ch4bec_Mgood == 2:
                    button:
                        style "R2" action SetVariable("ch4bec_Mgood", 3), Show("refresh")
                        text "Wouldn't mind less clothes." style "self"
                        add "Emojis/wink.png" ypos 38 xpos 94


            elif (ch4bec_M == "plump" and ch4bec_Mplump < 2):
                if ch4bec_Mplump == 0:
                    button:
                        style "R1" action SetVariable("ch4bec_Mplump", 1), Show("refresh")
                        text "No problem. Anytime!" style "self"
                elif ch4bec_Mplump == 1:
                    button:
                        style "R3" action SetVariable("ch4bec_Mplump", 2), Show("refresh")
                        text "I could leave a better review if there were less clothes." style "self"


            elif ((ch4bec_Mplump == 2 or ch4bec_Mgood == 3) and ch4bec_N == False):
                button:
                    style "S1" action SetVariable("ch4bec_N", True), Show("refresh")
                    text "What? No way!" style "self"


            elif (ch4bec_N == True and ch4bec_O == 0):
                if (ch4bec_redscore > 0 and ch4bec_M == "plump"):
                    button:
                        style "R1" action SetVariable("ch4bec_O", 4), Show("refresh")
                        text "Come on, I was joking." style "self"

                else:
                    button:
                        style "R2" action SetVariable("ch4bec_O", 1), Show("refresh")
                        text "{color=#33ff33}Yes, I want to see your smile." style "self"
                    button:
                        style "R2" action SetVariable("ch4bec_O", 2), Show("refresh")
                        text "Yes, I'd definitely go for a body shot." style "self"
                    button:
                        style "R4" action SetVariable("ch4bec_O", 3), Show("refresh")
                        text "I have to admit... your pics have made me pretty horny... so hell yeah!" style "self"

            elif (ch4bec_O == 1 and ch4bec_O1 == False):
                button:
                    style "R1" action SetVariable("ch4bec_O1", True), Show("refresh")
                    text "Sexy." style "self"
                    add "Emojis/happy.png" ypos 10 xpos 65

            elif (ch4bec_O == 3 and ch4bec_O3 == False):
                button:
                    style "R2" action SetVariable("ch4bec_O3", True), Show("refresh")
                    text "So how about that nude pic?" style "self"

            elif (ch4bec_O == 4 and ch4bec_O4 < 4):
                if ch4bec_O4 < 2:
                    button:
                        style "R2" action SetVariable("ch4bec_O4", 2), Show("refresh")
                        text "And I said plump, not fat!" style "self"
                elif ch4bec_O4 < 3:
                    button:
                        style "R1" action SetVariable("ch4bec_O4", 3), Show("refresh")
                        text "..." style "self"
                elif ch4bec_O4 < 4:
                    button:
                        style "R1" action SetVariable("ch4bec_O4", 4), SetVariable("ch4bec_blocked", True), Show("refresh")
                        text "Your loss." style "self"
                        add "Emojis/wave.png" ypos 10 xpos 110

            elif ((ch4bec_O == 2 or ch4bec_O == 3) and ch4bec_P == "Unknown"):
                button:
                    style "R4" action SetVariable("ch4bec_P", "okay"), Show("refresh")
                    text "It's okay! You don't have to do anything you don't want to do." style "self"
                    add "Emojis/smiling.png" ypos 92 xpos 10
                button:
                    style "R1" action SetVariable("ch4bec_P", "come"), Show("refresh")
                    text "Come on, I feel worse! {color=#33ff33}(Unlocks Image 2)" style "self"

            elif (ch4bec_P == "come" and ch4bec_P1 < 9):
                if ch4bec_P1 < 1:
                    button:
                        style "R2" action SetVariable("ch4bec_P1", 1), Show("refresh")
                        text "I need more pics to feel better!" style "self"
                elif ch4bec_P1 < 2:
                    button:
                        style "R1" action SetVariable("ch4bec_P1", 2), Show("refresh")
                        text "Can't or won't?" style "self"
                elif ch4bec_P1 < 3:
                    button:
                        style "R2" action SetVariable("ch4bec_P1", 3), Show("refresh")
                        text "You're hurting my balls, Newt." style "self"
                elif ch4bec_P1 < 4:
                    button:
                        style "R1" action SetVariable("ch4bec_P1", 4), Show("refresh")
                        text "Save me, Newt." style "self"
                elif ch4bec_P1 < 5:
                    button:
                        style "R2" action SetVariable("ch4bec_P1", 5), Show("refresh")
                        text "I feel... better? I think more pics would help." style "self"
                elif ch4bec_P1 < 6:
                    button:
                        style "R1" action SetVariable("ch4bec_P1", 6), Show("refresh")
                        text "Hey, not yet!" style "self"
                elif ch4bec_P1 < 7:
                    button:
                        style "R1" action SetVariable("ch4bec_P1", 7), Show("refresh")
                        text "Newt?" style "self"
                elif ch4bec_P1 < 8:
                    button:
                        style "R1" action SetVariable("ch4bec_P1", 8), Show("refresh")
                        text "Becca?" style "self"
                elif ch4bec_P1 < 9:
                    button:
                        style "R2" action SetVariable("ch4bec_P1", 9), Show("refresh")
                        text "Don't leave me hanging" style "self"

            elif ((ch4bec_P == "okay" or ch4bec_O1 == True) and ch4bec_P2 == False):
                button:
                    style "R2" action SetVariable("ch4bec_P2", True), Show("refresh")
                    text "I have my moments, haha." style "self"

            elif (ch4bec_P2 == True and ch4bec_Q == "Unknown"):
                button:
                    style "R1" action SetVariable("ch4bec_Q", "see"), Show("refresh")
                    text "{color=#33ff33}See you later, Newt!" style "self"
                button:
                    style "R1" action SetVariable("ch4bec_Q", "promise"), Show("refresh")
                    text "Can't promise, see you!" style "self"

            elif (ch4bec_Q == "see" and ch4bec_Q2 < 2):
                if ch4bec_Q2 < 1:
                    button:
                        style "R1" action SetVariable("ch4bec_Q2", 1), Show("refresh")
                        text "Wtf" style "self"
                elif ch4bec_Q2 < 2:
                    button:
                        style "R1" action SetVariable("ch4bec_Q2", 2), Show("refresh")
                        add "Emojis/wave.png" ypos 10 xpos 10

            elif (ch4bec_Q == "promise" and ch4bec_Q1 == False):
                button:
                    style "R1" action SetVariable("ch4bec_Q1", True), Show("refresh")
                    add "Emojis/wave.png" ypos 10 xpos 10

        if emberPlus:
            if currentChapter == 4:
                button:
                    style "R0" action [
                    SetVariable("ch4bec_A", 0),
                    SetVariable("ch4bec_B", 0),
                    SetVariable("ch4bec_C", "Unknown"),
                    SetVariable("ch4bec_D", "Unknown"),
                    SetVariable("ch4bec_D1", 0),
                    SetVariable("ch4bec_E", "Unknown"),
                    SetVariable("ch4bec_E2", False),
                    SetVariable("ch4bec_F", 0),
                    SetVariable("ch4bec_G", 0),
                    SetVariable("ch4bec_FG", "Unknown"),
                    SetVariable("ch4bec_H", "Unknown"),
                    SetVariable("ch4bec_H2", False),
                    SetVariable("ch4bec_H3", 0),
                    SetVariable("ch4bec_I", "Unknown"),
                    SetVariable("ch4bec_I2", False),
                    SetVariable("ch4bec_J", False),
                    SetVariable("ch4bec_K", 0),
                    SetVariable("ch4bec_L", 0),
                    SetVariable("ch4bec_M", "Unknown"),
                    SetVariable("ch4bec_Mgood", 0),
                    SetVariable("ch4bec_Mplump", 0),
                    SetVariable("ch4bec_N", False),
                    SetVariable("ch4bec_O", 0),
                    SetVariable("ch4bec_O1", False),
                    SetVariable("ch4bec_O3", False),
                    SetVariable("ch4bec_O4", 0),
                    SetVariable("ch4bec_redscore", 0),
                    SetVariable("ch4bec_blocked", False),
                    SetVariable("ch4bec_P", "Unknown"),
                    SetVariable("ch4bec_P1", 0),
                    SetVariable("ch4bec_P2", False),
                    SetVariable("ch4bec_Q", "Unknown"),
                    SetVariable("ch4bec_Q1", False),
                    SetVariable("ch4bec_Q2", 0),
                    If(emberRewinds > 0, SetVariable("emberRewinds", emberRewinds - 1)),
                    SensitiveIf(emberRewinds > 0),
                    Show("refresh_silent")]
                    text "Reset (" + "{b}[emberRewinds]{/b}" + " remaining)" style "self"
                    tooltip "Ember Plus can be used to reset awkward conversations. Limited use!"

    frame:
        background None
        xpos 758
        ypos 270
        has side ("c r"):
            area (1,0,392,560)
        viewport id "my_scroller":
            draggable True mousewheel True yinitial 1.0
            has vbox:
                spacing 15
            if currentChapter > 3:

                if ch4bec_A > 0:
                    button:
                        style "S1" action NullAction()
                        text "Hey there." style "self"
                    button:
                        style "O1" action NullAction()
                        text "Hi!" style "other"
                    button:
                        style "O2" action NullAction()
                        text "I'm newt o Ember.. you're my first match" style "other"
                    button:
                        style "O1" action NullAction()
                        text "new to*" style "other"
                if ch4bec_A > 1:
                    button:
                        style "S4" action NullAction()
                        text "Nice to meet you, Newt! Can't say I've ever matched with any salamanders before..." style "self"
                    button:
                        style "O2" action NullAction()
                        text "Nice to meet you too haha" style "other"
                    button:
                        style "O2" action NullAction()
                        text "I'd shake your hand, but I've got paws" style "other"
                        add "Emojis/cryingLaughing.png" ypos 39 xpos 186
                if ch4bec_A > 2:
                    button:
                        style "S2" action NullAction()
                        text "What brings you to Ember?" style "self"
                    button:
                        style "O1" action NullAction()
                        text "Ehh" style "other"
                    button:
                        style "O4" action NullAction()
                        text "My friend set me up on a blind date. I got all dolled up and the guy never showed" style "other"
                        add "Emojis/sweat.png" ypos 92 xpos 198
                    button:
                        style "O3" action NullAction()
                        text "Maybe it's because I gained a couple of pounds?" style "other"
                        add "Emojis/anxiousFlushed.png" ypos 65 xpos 98


                if ch4bec_B == 1:
                    button:
                        style "S1" action NullAction()
                        text "{color=#33ff33}He sounds like an idiot." style "self"
                    button:
                        style "O1" action NullAction()
                        text "Haha thanks I guess" style "other"


                if ch4bec_B == 2:
                    button:
                        style "S2" action NullAction()
                        text "How many pounds are we talking...?" style "self"
                    button:
                        style "O1" action NullAction()
                        text "It was only 5-10" style "other"
                    button:
                        style "O1" action NullAction()
                        text "Maybe 15" style "other"
                    button:
                        style "O2" action NullAction()
                        text "Definitely less than 20!!" style "other"


                if (ch4bec_C == "good" or ch4bec_C == "places"):
                    if ch4bec_C == "places":
                        button:
                            style "S2" action NullAction()
                            text "Those pounds went in the right places." style "self"
                    if ch4bec_C == "good":
                        button:
                            style "S2" action NullAction()
                            text "Well... you look good to me." style "self"
                    button:
                        style "O3" action NullAction()
                        text "Aww thanks! You're so nice, I like you already" style "other"
                        add "Emojis/lipskiss.png" ypos 69 xpos 10


                if ch4bec_C == "less":
                    button:
                        style "S3" action NullAction()
                        text "Have you considered, I don't know... eating less?" style "self"
                    button:
                        style "O1" action NullAction()
                        text "Nooo..." style "other"
                        add "Emojis/sad.png" ypos 10 xpos 83
                    button:
                        style "O2" action NullAction()
                        text "I can't help it, I'm just so stressed lately" style "other"

                    if ch4bec_D == "exercise":
                        button:
                            style "S2" action NullAction()
                            text "Maybe some exercise could do the trick." style "self"
                        button:
                            style "O1" action NullAction()
                            text "Well yeah..." style "other"

                        if ch4bec_E == "stress":
                            button:
                                style "S2" action NullAction()
                                text "I know some other stress relief methods." style "self"
                            button:
                                style "O1" action NullAction()
                                text "Mmm?" style "other"
                            if ch4bec_E2:
                                button:
                                    style "S2" action NullAction()
                                    text "You, me and a strong bed." style "self"

                        elif ch4bec_E == "eating":
                            button:
                                style "S2" action NullAction()
                                text "Do you do anything else besides eating?" style "self"
                            button:
                                style "O3" action NullAction()
                                text "I guess that's none of your business anymore. Dinner time!" style "other"


                if ch4bec_D == "how":
                    button:
                        style "S2" action NullAction()
                        text "So, how are you doing?" style "self"
                    button:
                        style "O4" action NullAction()
                        text "Pretty good all things considered! I'm just trying to meet new people" style "other"
                        add "Emojis/happy.png" ypos 92 xpos 87
                    if ch4bec_D1 > 0:
                        button:
                            style "S1" action NullAction()
                            text "I'm also new to Ember." style "self"
                        button:
                            style "O1" action NullAction()
                            text "Really?" style "other"
                        button:
                            style "O1" action NullAction()
                            text "You're my first match" style "other"
                        if ch4bec_D1 > 1:
                            button:
                                style "S1" action NullAction()
                                text "That's good. For me!" style "self"
                            button:
                                style "O2" action NullAction()
                                text "Hows that good for you?" style "other"

                    if ch4bec_FG == "F":
                        if ch4bec_F > 0:
                            button:
                                style "S1" action NullAction()
                                text "It's good for both of us." style "self"
                            button:
                                style "O1" action NullAction()
                                text "I don't get it" style "other"
                            if ch4bec_F > 1:
                                button:
                                    style "S1" action NullAction()
                                    text "You'll get it soon." style "self"
                                button:
                                    style "O3" action NullAction()
                                    text "Is this a sex joke I'm too stupid to understand?" style "other"
                                    add "Emojis/cryingLaughing.png" ypos 65 xpos 142
                                if ch4bec_F > 2:
                                    button:
                                        style "S2" action NullAction()
                                        text "It could be, I don't know lol" style "self"
                                    button:
                                        style "O1" action NullAction()
                                        text "Ohhhh I get it now!" style "other"
                                    button:
                                        style "O1" action NullAction()
                                        text "(I dont)" style "other"
                                    if ch4bec_F > 3:
                                        button:
                                            style "S4" action NullAction()
                                            text "It's good that we matched first so you don't need to keep swiping!" style "self"
                                        button:
                                            style "O2" action NullAction()
                                            text "Ahhh! Good, very good!" style "other"

                    if ch4bec_FG == "G":
                        if ch4bec_G > 0:
                            button:
                                style "S1" action NullAction()
                                text "I get to be your first." style "self"
                            button:
                                style "O2" action NullAction()
                                text "Why am I blushing haha" style "other"
                            if ch4bec_G > 1:
                                button:
                                    style "S1" action NullAction()
                                    text "See, it's good!" style "self"
                                if ch4bec_G > 2:
                                    button:
                                        style "S2" action NullAction()
                                        text "First dibs. I get you all to myself." style "self"


                if (ch4bec_G == 3 or ch4bec_E2 == True):
                    button:
                        style "O1" action NullAction()
                        text "Ohhh" style "other"
                    button:
                        style "O1" action NullAction()
                        text "Can you handle me?" style "other"

                    if ch4bec_H == "handle":
                        button:
                            style "S2" action NullAction()
                            text "Of course! Can you handle me?" style "self"
                        button:
                            style "O2" action NullAction()
                            text "Why? Is there a lot to handle?" style "other"
                        if ch4bec_H2:
                            button:
                                style "S2" action NullAction()
                                text "Would you like to find out?" style "self"
                            button:
                                style "O1" action NullAction()
                                text "At some point..." style "other"
                                add "Emojis/wink.png" ypos 10 xpos 167

                    elif ch4bec_H == "heavy":
                        button:
                            style "S3" action NullAction()
                            text "Of course! I've lifted plenty of heavy things before." style "self"
                        button:
                            style "O1" action NullAction()
                            text "Haha.. What a relief.." style "other"
                        if ch4bec_H3 > 0:
                            button:
                                style "S1" action NullAction()
                                text "Yeah, for me!" style "self"
                            button:
                                style "O2" action NullAction()
                                text "You're saying that you're strong then?" style "other"
                            if ch4bec_H3 > 1:
                                button:
                                    style "S2" action NullAction()
                                    text "Would you like to find out?" style "self"
                                button:
                                    style "O1" action NullAction()
                                    text "Maybe.." style "other"


                if ch4bec_I == "pics":
                    button:
                        style "S2" action NullAction()
                        text "Do you have any more pictures of yourself?" style "self"
                    button:
                        style "O3" action NullAction()
                        text "I got this haircut today. I love it sooo much!" style "other"


                if ch4bec_I == "day":
                    button:
                        style "S2" action NullAction()
                        text "So, how's your day been otherwise?" style "self"
                    button:
                        style "O4" action NullAction()
                        text "It's been wonderful honestly. I treated myself to a spa day and got my hair done" style "other"
                    button:
                        style "O2" action NullAction()
                        text "Haven't felt this pretty in a looong time" style "other"

                if ch4bec_I2:
                    button:
                        style "S2" action NullAction()
                        text "Nice! Got any pics you can show me?" style "self"
                    button:
                        style "O2" action NullAction()
                        text "This is my new hair. I love it sooo much!" style "other"

                if (ch4bec_I == "pics" or ch4bec_I2 == True):
                    imagebutton auto "gui/cellphone/ember/images/beccaSent_01_%s.png" hover_sound sound_menu_button action [
                                Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "becca_sent_01"),
                                If(persistent.unlocked_becca_01 == False, SetVariable("persistent.unlocked_becca_01", True)),
                                If(persistent.unlocked_becca_01 == False, Play("sound", [bonus_image])),
                                If(persistent.unlocked_becca_01 == False, Notify("You found a bonus image!"))]


                if ch4bec_J:
                    button:
                        style "S1" action NullAction()
                        text "Nice ass." style "self"
                    button:
                        style "O1" action NullAction()
                        text "Oops.." style "other"
                        add "Emojis/wink.png" ypos 10 xpos 78
                    button:
                        style "O1" action NullAction()
                        text "Was that too much?" style "other"


                if ch4bec_K > 0:
                    button:
                        style "S2" action NullAction()
                        text "It's okay, it's not like you were nude." style "self"
                        add "Emojis/smiling.png" ypos 37 xpos 166
                    button:
                        style "O1" action NullAction()
                        add "Emojis/wink.png" ypos 10 xpos 10
                    button:
                        style "O2" action NullAction()
                        text "At least you liked it! Haha" style "other"
                    if ch4bec_K > 1:
                        button:
                            style "S3" action NullAction()
                            text "Of course I liked it! You should have a little more confidence." style "self"
                        button:
                            style "O3" action NullAction()
                            text "I guess that's something for me to work on.." style "other"
                        if ch4bec_K > 2:
                            button:
                                style "S3" action NullAction()
                                text "I also have something else for you to work on." style "self"
                            button:
                                style "O1" action NullAction()
                                add "Emojis/cryingLaughing.png" ypos 10 xpos 10
                            button:
                                style "O1" action NullAction()
                                text "Is this good?" style "other"


                if ch4bec_L > 0:
                    button:
                        style "S2" action NullAction()
                        text "Yes. I guess you like attention?" style "self"
                    button:
                        style "O2" action NullAction()
                        text "That's embarassing.. Im sorry" style "other"
                    if ch4bec_L > 1:
                        button:
                            style "S3" action NullAction()
                            text "You should be. You can't just tease like that!" style "self"
                        button:
                            style "O2" action NullAction()
                            text "I.. don't know what to say. Sorry again?" style "other"
                        if ch4bec_L > 2:
                            button:
                                style "S3" action NullAction()
                                text "Just send more pictures. That'll save you." style "self"
                            button:
                                style "O2" action NullAction()
                                text "Oh! Well I can do thaaat" style "other"
                            button:
                                style "O1" action NullAction()
                                text "Hows this?" style "other"

                if (ch4bec_L == 3 or ch4bec_K == 3):
                    imagebutton auto "gui/cellphone/ember/images/beccaSent_02_%s.png" hover_sound sound_menu_button action [
                                Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "becca_sent_02"),
                                If(persistent.unlocked_becca_02 == False, SetVariable("persistent.unlocked_becca_02", True)),
                                If(persistent.unlocked_becca_02 == False, Play("sound", [bonus_image])),
                                If(persistent.unlocked_becca_02 == False, Notify("You found a bonus image!"))]


                if ch4bec_M == "good":
                    button:
                        style "S1" action NullAction()
                        text "That's good!" style "self"
                    if ch4bec_Mgood > 0:
                        button:
                            style "S2" action NullAction()
                            text "You have curves in all the right places!" style "self"
                            add "Emojis/smiling.png" ypos 38 xpos 180
                        button:
                            style "O1" action NullAction()
                            text "Wow" style "other"
                        button:
                            style "O2" action NullAction()
                            text "I love when you compliment me haha" style "other"
                        if ch4bec_Mgood > 1:
                            button:
                                style "S1" action NullAction()
                                text "I bet." style "self"
                                add "Emojis/wink.png" ypos 10 xpos 65
                        if ch4bec_Mgood > 2:
                            button:
                                style "S2" action NullAction()
                                text "Wouldn't mind less clothes." style "self"
                                add "Emojis/wink.png" ypos 38 xpos 94


                if ch4bec_M == "plump":
                    button:
                        style "S3" action NullAction()
                        text "I mean... you're not ugly or anything, just a bit plump." style "self"
                    button:
                        style "O2" action NullAction()
                        text "Wow. Thanks for the honest review.." style "other"
                    if ch4bec_Mplump > 0:
                        button:
                            style "S1" action NullAction()
                            text "No problem. Anytime!" style "self"
                        if ch4bec_Mplump > 1:
                            button:
                                style "S3" action NullAction()
                                text "I could leave a better review if there were less clothes." style "self"


                if (ch4bec_Mplump == 2 or ch4bec_Mgood == 3):
                    button:
                        style "O3" action NullAction()
                        text "Maybe.. I feel like that would be way too much, wouldn't it?" style "other"
                    if ch4bec_N:
                        button:
                            style "S1" action NullAction()
                            text "What? No way!" style "self"

                        if (ch4bec_redscore > 0 and ch4bec_M == "plump"):
                            button:
                                style "O3" action NullAction()
                                text "You haven't been that nice.. and you just called me fat" style "other"

                        else:
                            button:
                                style "O2" action NullAction()
                                text "Do you really want to see more of me..?" style "other"


                if ch4bec_O == 1:
                    button:
                        style "S2" action NullAction()
                        text "Yes, I want to see your smile." style "self"
                    button:
                        style "O2" action NullAction()
                        text "Sending you a smiley now!" style "other"

                    imagebutton auto "gui/cellphone/ember/images/beccaSent_03_%s.png" hover_sound sound_menu_button action [
                                Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "becca_sent_03"),
                                If(persistent.unlocked_becca_03 == False, SetVariable("persistent.unlocked_becca_03", True)),
                                If(persistent.unlocked_becca_03 == False, Play("sound", [bonus_image])),
                                If(persistent.unlocked_becca_03 == False, Notify("You found a bonus image!"))]

                    if ch4bec_O1:
                        button:
                            style "S1" action NullAction()
                            text "Sexy." style "self"
                            add "Emojis/happy.png" ypos 10 xpos 65
                        button:
                            style "O1" action NullAction()
                            text "Aww, thanks" style "other"
                            add "Emojis/lipskiss.png" ypos 12 xpos 142


                if ch4bec_O == 2:
                    button:
                        style "S2" action NullAction()
                        text "Yes, I'd definitely go for a body shot." style "self"


                if ch4bec_O == 3:
                    button:
                        style "S4" action NullAction()
                        text "I have to admit... your pics have made me pretty horny... so hell yeah!" style "self"
                    button:
                        style "O1" action NullAction()
                        text "What, really" style "other"
                    if ch4bec_O3:
                        button:
                            style "S2" action NullAction()
                            text "So how about that nude pic?" style "self"


                if ch4bec_O == 4:
                    button:
                        style "S1" action NullAction()
                        text "Come on, I was joking." style "self"
                    if ch4bec_O4 > 1:
                        button:
                            style "S2" action NullAction()
                            text "And I said plump, not fat!" style "self"
                        button:
                            style "O2" action NullAction()
                            text "It's still rude... and I have to go anyway" style "other"
                        button:
                            style "O1" action NullAction()
                            text "Plumpy out!" style "other"
                            add "Emojis/wave.png" ypos 10 xpos 135
                    if ch4bec_O4 > 2:
                        button:
                            style "S1" action NullAction()
                            text "..." style "self"
                    if ch4bec_O4 > 3:
                        button:
                            style "S1" action NullAction()
                            text "Your loss." style "self"
                            add "Emojis/wave.png" ypos 10 xpos 110


                if (ch4bec_O == 2 or ch4bec_O3 == True):
                    button:
                        style "O3" action NullAction()
                        text "I don't know.. I don't think I can do it, I'm sorry.." style "other"
                    button:
                        style "O2" action NullAction()
                        text "Ahhhhh I feel bad now..." style "other"
                        add "Emojis/cryingLoudly.png" ypos 37 xpos 72


                if ch4bec_P == "come":
                    button:
                        style "S1" action NullAction()
                        text "Come on, I feel worse!" style "self"
                    if ch4bec_P1 > 0:
                        button:
                            style "S2" action NullAction()
                            text "I need more pics to feel better!" style "self"
                        button:
                            style "O1" action NullAction()
                            text "I can't.." style "other"
                    if ch4bec_P1 > 1:
                        button:
                            style "S1" action NullAction()
                            text "Can't or won't?" style "self"
                        button:
                            style "O1" action NullAction()
                            text "idk" style "other"
                            add "Emojis/shrug_female.png" ypos 10 xpos 43
                    if ch4bec_P1 > 2:
                        button:
                            style "S2" action NullAction()
                            text "You're hurting my balls, Newt." style "self"
                        button:
                            style "O2" action NullAction()
                            text "What do you want me to do?" style "other"
                    if ch4bec_P1 > 3:
                        button:
                            style "S1" action NullAction()
                            text "Save me, Newt." style "self"
                        button:
                            style "O1" action NullAction()
                            text "Okay, I'll save you!" style "other"

                        imagebutton auto "gui/cellphone/ember/images/beccaSent_04_%s.png" hover_sound sound_menu_button action [
                                    Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "becca_sent_04"),
                                    If(persistent.unlocked_becca_04 == False, SetVariable("persistent.unlocked_becca_04", True)),
                                    If(persistent.unlocked_becca_04 == False, Play("sound", [bonus_image])),
                                    If(persistent.unlocked_becca_04 == False, Notify("You found a bonus image!"))]

                    if ch4bec_P1 > 4:
                        button:
                            style "S2" action NullAction()
                            text "I feel... better? I think more pics would help." style "self"
                        button:
                            style "O2" action NullAction()
                            text "Haha, nooo.. I have to go!" style "other"
                        button:
                            style "O1" action NullAction()
                            add "Emojis/wink.png" ypos 10 xpos 10
                            add "Emojis/wave.png" ypos 10 xpos 42
                    if ch4bec_P1 > 5:
                        button:
                            style "S1" action NullAction()
                            text "Hey, not yet!" style "self"
                    if ch4bec_P1 > 6:
                        button:
                            style "S1" action NullAction()
                            text "Newt?" style "self"
                    if ch4bec_P1 > 7:
                        button:
                            style "S1" action NullAction()
                            text "Becca?" style "self"
                    if ch4bec_P1 > 8:
                        button:
                            style "S2" action NullAction()
                            text "Don't leave me hanging" style "self"


                if (ch4bec_P == "okay" or ch4bec_O1 == True):
                    if ch4bec_P == "okay":
                        button:
                            style "S4" action NullAction()
                            text "It's okay! You don't have to do anything you don't want to do." style "self"
                            add "Emojis/smiling.png" ypos 92 xpos 10
                        button:
                            style "O2" action NullAction()
                            text "Thank you for being understanding" style "other"
                            add "Emojis/lipskiss.png" ypos 40 xpos 163

                    button:
                        style "O2" action NullAction()
                        text "You really are a nice guy.." style "other"

                    if ch4bec_P2:
                        button:
                            style "S2" action NullAction()
                            text "I have my moments, haha." style "self"
                        button:
                            style "O3" action NullAction()
                            text "I really enjoyed this. Let's talk again later! I need to go.." style "other"
                        button:
                            style "O2" action NullAction()
                            text "Don't match with others!" style "other"
                            add "Emojis/lipskiss.png" ypos 40 xpos 85


                if ch4bec_Q == "see":
                    button:
                        style "S1" action NullAction()
                        text "See you later, Newt!" style "self"

                    imagebutton auto "gui/cellphone/ember/images/beccaSent_04_%s.png" hover_sound sound_menu_button action [
                                Show("ember_viewing", transition=Dissolve(0.25)), SetVariable("emberViewingImage", "becca_sent_04"),
                                If(persistent.unlocked_becca_04 == False, SetVariable("persistent.unlocked_becca_04", True)),
                                If(persistent.unlocked_becca_04 == False, Play("sound", [bonus_image])),
                                If(persistent.unlocked_becca_04 == False, Notify("You found a bonus image!"))]

                    button:
                        style "O1" action NullAction()
                        add "Emojis/wave.png" ypos 10 xpos 10
                    if ch4bec_Q2 > 0:
                        button:
                            style "S1" action NullAction()
                            text "Wtf" style "self"
                        button:
                            style "O1" action NullAction()
                            text "Ttyl!" style "other"
                            add "Emojis/wink.png" ypos 10 xpos 62
                            add "Emojis/wave.png" ypos 10 xpos 94
                    if ch4bec_Q2 > 1:
                        button:
                            style "S1" action NullAction()
                            add "Emojis/wave.png" ypos 10 xpos 10


                if ch4bec_Q == "promise":
                    button:
                        style "S1" action NullAction()
                        text "Can't promise, see you!" style "self"
                    button:
                        style "O1" action NullAction()
                        add "Emojis/sad.png" ypos 10 xpos 10
                        add "Emojis/wave.png" ypos 10 xpos 42
                    if ch4bec_Q1 == True:
                        button:
                            style "S1" action NullAction()
                            add "Emojis/wave.png" ypos 10 xpos 10

                if ch4bec_blocked:
                    text "Becca has blocked you." style "timestamp" xpos 90

        vbar value YScrollValue("my_scroller") style "ember_bar"


screen refresh():
    timer 0.1 action [
        Hide("ember_messages_nina"),
        Hide("ember_messages_chad"),
        Hide("ember_messages_bot"),
        Hide("ember_messages_helen"),
        Hide("ember_messages_becca"),
        Hide("ember_messages"),
        Hide("ember"),
        Show("ember"),
        Hide("refresh"),
        Play("sound", [ember_message])]

screen refresh_silent():
    timer 0.1 action [
        Hide("ember_messages_nina"),
        Hide("ember_messages_chad"),
        Hide("ember_messages_bot"),
        Hide("ember_messages_helen"),
        Hide("ember_messages_becca"),
        Hide("ember_messages"),
        Hide("ember"),
        Show("ember"),
        Hide("refresh")]
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
