default persistent.unseen_gallery = False
default persistent.unlocked_cass_01 = False
default persistent.unlocked_mia_01 = False
default persistent.unlocked_eve_01 = False
default persistent.unlocked_stew_01 = False

default persistent.unlocked_nina_01 = False
default persistent.unlocked_nina_02 = False
default persistent.unlocked_jenni_01 = False

default persistent.unlocked_sophie_01 = False
default persistent.unlocked_bree_01 = False
default persistent.unlocked_eve_02 = False
default persistent.unlocked_becca_01 = False
default persistent.unlocked_becca_02 = False
default persistent.unlocked_becca_03 = False
default persistent.unlocked_becca_04 = False

default persistent.unlocked_cass_02 = False
default persistent.unlocked_cass_03 = False

default persistent.replay_ch01_mia = False
default persistent.replay_ch03_bree = False
default persistent.replay_ch04_cass = False

init python:
    g = Gallery()
    g.transition = Dissolve(.25)
    g.hover_border = "00 bonus/hover.png"
    g.idle_border = "00 bonus/idle.png"

    g.button("promo_01")
    g.image("00 bonus/images/promo_01.png")

    g.button("stew_01")
    g.condition("persistent.unlocked_stew_01")
    g.image("00 bonus/images/stew_01.png")

    g.button("cass_01")
    g.condition("persistent.unlocked_cass_01")
    g.image("00 bonus/images/cass_01.png")

    g.button("mia_01")
    g.condition("persistent.unlocked_mia_01")
    g.image("00 bonus/images/mia_01.png")

    g.button("eve_01")
    g.condition("persistent.unlocked_eve_01")
    g.image("00 bonus/images/eve_01.png")

    g.button("nina_01")
    g.condition("persistent.unlocked_nina_01")
    g.image("gui/cellphone/ember/images/full_nina_sent_01.png")

    g.button("nina_02")
    g.condition("persistent.unlocked_nina_02")
    g.image("gui/cellphone/ember/images/full_nina_sent_02.png")

    g.button("jenni_01")
    g.condition("persistent.unlocked_jenni_01")
    g.image("gallery_jenni_01")

    g.button("becca_01")
    g.condition("persistent.unlocked_becca_01")
    g.image("gallery_becca_01")

    g.button("becca_02")
    g.condition("persistent.unlocked_becca_02")
    g.image("gallery_becca_02")

    g.button("becca_03")
    g.condition("persistent.unlocked_becca_03")
    g.image("gallery_becca_03")

    g.button("becca_04")
    g.condition("persistent.unlocked_becca_04")
    g.image("gallery_becca_04")

    g.button("sophie_01")
    g.condition("persistent.unlocked_sophie_01")
    g.image("gallery_sophie_01")

    g.button("bree_01")
    g.condition("persistent.unlocked_bree_01")
    g.image("00 bonus/images/bree_01.png")

    g.button("eve_02")
    g.condition("persistent.unlocked_eve_02")
    g.image("gallery_eve_02")

    g.button("cass_02")
    g.condition("persistent.unlocked_cass_02")
    g.image("gallery_cass_02")

    g.button("cass_03")
    g.condition("persistent.unlocked_cass_03")
    g.image("gallery_cass_03")

define galleryLocked = "00 bonus/locked.png"

layeredimage gallery_jenni_01:
    always:
        "menu/navy.jpg"
    always:
        "00 bonus/images/jenni_01.png" xalign .5 yalign .5

layeredimage gallery_sophie_01:
    always:
        "menu/navy.jpg"
    always:
        "00 bonus/images/sophie_01.png" xalign .5 yalign .5

layeredimage gallery_eve_02:
    always:
        "menu/navy.jpg"
    always:
        "00 bonus/images/eve_02.png" xalign .5 yalign .5

layeredimage gallery_becca_01:
    always:
        "menu/navy.jpg"
    always:
        "gui/cellphone/ember/images/full_becca_sent_01.png" xalign .5 yalign .5

layeredimage gallery_becca_02:
    always:
        "menu/navy.jpg"
    always:
        "gui/cellphone/ember/images/full_becca_sent_02.png" xalign .5 yalign .5

layeredimage gallery_becca_03:
    always:
        "menu/navy.jpg"
    always:
        "gui/cellphone/ember/images/full_becca_sent_03.png" xalign .5 yalign .5

layeredimage gallery_becca_04:
    always:
        "menu/navy.jpg"
    always:
        "gui/cellphone/ember/images/full_becca_sent_04.png" xalign .5 yalign .5

layeredimage gallery_cass_02:
    always:
        "menu/navy.jpg"
    always:
        "gui/cellphone/ember/images/full_cass_sent_02.png" xalign .5 yalign .5

layeredimage gallery_cass_03:
    always:
        "menu/navy.jpg"
    always:
        "gui/cellphone/ember/images/full_cass_sent_03.png" xalign .5 yalign .5

screen gallery_help():
    modal True
    zorder 200
    style_prefix "confirm"
    add "gui/overlay/confirm.png"
    frame:
        has vbox:
            xalign .5 yalign .5 spacing 45
        text "{color=[my_hover_color]}{u}Gallery Images{/u}{/color}" style "tutorial_title" ypos 0
        label _("{font=[my_bold_font]}There are three types of gallery images:{/font}\n\n{color=[my_hover_color]}Freeplay{/color} images can be found in the background during Freeplay scenes.\n{color=[my_hover_color]}Ember{/color} images can be found by chatting to girls on Ember.\n{color=[my_hover_color]}Mystery{/color} images are hidden somewhere in the game. They can be very\ndifficult to find, but also very lewd..."):
            style "confirm_prompt"
            xalign 0.5
        hbox:
            xalign 0.5
            spacing 150
            if renpy.mobile:
                textbutton _("{size=26}{color=#ffffff70}(press anywhere to close){/color}{/size}") action Hide("gallery_help", transition=Dissolve(0.5))
            else:
                textbutton _("{size=26}{color=#ffffff70}(click anywhere to close){/color}{/size}") action Hide("gallery_help", transition=Dissolve(0.5))

    key "game_menu" action Hide("gallery_help", transition=Dissolve(0.5))

    button:
        xysize (1920,1080)
        action Hide("gallery_help", transition=Dissolve(0.5))

default showing_overlay = False
screen gallery():
    tag menu
    add "menu/bg_eve.png"
    $ tooltip = GetTooltip()
    if tooltip:
        frame:
            xalign 1.0
            yalign 1.0
            background None
            xpadding 25
            ypadding 20
            text "[tooltip]" style "tooltip_pref" xalign 0.5

    frame:
        background None yalign 0.5 xalign 0.95
        has side ("c r"):
            area (1,0,1290,930)
        viewport id "my_scroller":
            draggable True mousewheel True
            has vbox
            hbox:
                vbox:
                    spacing -25
                    add g.make_button("promo_01", "00 bonus/images/promo_01_small.png", locked=galleryLocked)
                    text "CH01 Group Photo" style "replay_hint2"
                vbox:
                    spacing -25
                    if persistent.unlocked_stew_01:
                        add g.make_button("stew_01", "00 bonus/images/stew_01_small.png", locked=galleryLocked)
                        text "CH01 Mystery" style "replay_small"
                    else:
                        imagebutton auto "00 bonus/mystery_%s.png" action Show("mysteryPassword", transition=Dissolve(0.5))
                        textbutton "???" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_stew_01 == False) tooltip "This is a mystery..."
                vbox:
                    spacing -25
                    add g.make_button("cass_01", "00 bonus/images/cass_01_small.png", locked=galleryLocked)
                    textbutton "CH01 Freeplay - [persistent.milfMenuName]" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_cass_01 == False) tooltip "Can be found during CH01 Freeplay."

            hbox:
                vbox:
                    spacing -25
                    add g.make_button("mia_01", "00 bonus/images/mia_01_small.png", locked=galleryLocked)
                    textbutton "CH01 Freeplay - Mia" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_mia_01 == False) tooltip "Can be found during CH01 Freeplay."
                vbox:
                    spacing -25
                    add g.make_button("eve_01", "00 bonus/images/eve_01_small.png", locked=galleryLocked)
                    textbutton "CH01 Freeplay - Eve" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_eve_01 == False) tooltip "Can be found during CH01 Freeplay."
                vbox:
                    spacing -25
                    add g.make_button("jenni_01", "00 bonus/images/jenni_01_small.png", locked=galleryLocked)
                    textbutton "CH02 Freeplay - Jenni" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_jenni_01 == False) tooltip "Can be found during CH02 Freeplay."

            hbox:
                vbox:
                    spacing -25
                    add g.make_button("nina_01", "00 bonus/images/nina_01_small.png", locked=galleryLocked)
                    textbutton "CH02 Ember - Nina" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_nina_01 == False) tooltip "Unlock by chatting with Nina on Ember."
                vbox:
                    spacing -25
                    add g.make_button("nina_02", "00 bonus/images/nina_02_small.png", locked=galleryLocked)
                    textbutton "CH02 Ember - Nina 2" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_nina_02 == False) tooltip "Unlock by chatting with Nina on Ember."
                vbox:
                    spacing -25
                    add g.make_button("becca_01", "00 bonus/images/becca_01_small.png", locked=galleryLocked)
                    textbutton "CH04 Ember - Becca 1" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_becca_01 == False) tooltip "Unlock by chatting with Becca on Ember."

            hbox:
                vbox:
                    spacing -25
                    add g.make_button("becca_02", "00 bonus/images/becca_02_small.png", locked=galleryLocked)
                    textbutton "CH04 Ember - Becca 2" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_becca_02 == False) tooltip "Unlock by chatting with Becca on Ember."
                vbox:
                    spacing -25
                    add g.make_button("becca_03", "00 bonus/images/becca_03_small.png", locked=galleryLocked)
                    textbutton "CH04 Ember - Becca 3" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_becca_03 == False) tooltip "Unlock by chatting with Becca on Ember."
                vbox:
                    spacing -25
                    add g.make_button("becca_04", "00 bonus/images/becca_04_small.png", locked=galleryLocked)
                    textbutton "CH04 Ember - Becca 4" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_becca_04 == False) tooltip "Unlock by chatting with Becca on Ember."

            hbox:
                vbox:
                    spacing -25
                    add g.make_button("sophie_01", "00 bonus/images/sophie_01_small.png", locked=galleryLocked)
                    textbutton "CH04 Freeplay - Sophie" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_sophie_01 == False) tooltip "Can be found during CH04 Freeplay."
                vbox:
                    spacing -25
                    add g.make_button("bree_01", "00 bonus/images/bree_01_small.png", locked=galleryLocked)
                    textbutton "CH04 Freeplay - Bree" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_bree_01 == False) tooltip "Can be found during CH04 Freeplay."
                vbox:
                    spacing -25
                    add g.make_button("eve_02", "00 bonus/images/eve_02_small.png", locked=galleryLocked)
                    textbutton "CH04 Freeplay - Eve" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_eve_02 == False) tooltip "Can be found during CH04 Freeplay."

            hbox:
                vbox:
                    spacing -25
                    add g.make_button("cass_02", "00 bonus/images/cass_02_small.png", locked=galleryLocked)
                    textbutton "CH04 Texting - [persistent.milfMenuName] 1" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_cass_02 == False) tooltip "Unlock by texting with Car lady in CH04."
                vbox:
                    spacing -25
                    add g.make_button("cass_03", "00 bonus/images/cass_03_small.png", locked=galleryLocked)
                    textbutton "CH04 Texting - [persistent.milfMenuName] 2" style "replay_hint" action NullAction(), SensitiveIf(persistent.unlocked_cass_03 == False) tooltip "Unlock by texting with Car lady in CH04."

        vbar value YScrollValue("my_scroller") style "basic_bar"
    null height 20

    vbox:
        xalign 1.0
        textbutton "?" ypos 10 xpos -10 action Show("gallery_help", transition=Dissolve(0.5)) style "gallerBig2"

    textbutton "Unlock all" xpos 800 ypos 1 action Function(unlock_gallery) style "gallerBig2"
    use gallery_navigation




screen replay_help():
    modal True
    zorder 200
    style_prefix "confirm"
    add "gui/overlay/confirm.png"
    frame:
        has vbox:
            xalign .5 yalign .5 spacing 45
        text "{color=[my_hover_color]}{u}Replay{/u}{/color}" style "tutorial_title" ypos 0
        label _("Replay is a feature that allows you to replay scenes you've previously seen.\nThis is mainly reserved for {color=[my_hover_color]}lewd{/color} content.\n\nUnlock more scenes by playing the game and making different {color=[my_hover_color]}choices{/color}.\n\nWhen entering Replay you'll be asked to give yourself a name and set it as default.\nChange your default name by disabling {i}Default Replay Name{/i} and re-entering Replay."):
            style "confirm_prompt"
            xalign 0.5
        hbox:
            xalign 0.5
            spacing 150
            if renpy.mobile:
                textbutton _("{size=26}{color=#ffffff70}(press anywhere to close){/color}{/size}") action Hide("gallery_help", transition=Dissolve(0.5))
            else:
                textbutton _("{size=26}{color=#ffffff70}(click anywhere to close){/color}{/size}") action Hide("gallery_help", transition=Dissolve(0.5))

    key "game_menu" action Hide("replay_help", transition=Dissolve(0.5))

    button:
        xysize (1920,1080)
        action Hide("replay_help", transition=Dissolve(0.5))

image replay_ch1_mia:
    "007 Hallway/hw09_hand2.jpg"
    zoom 0.2
image replay_ch02:
    "008 Miller Ride/mt15_specialtask.jpg"
    zoom 0.2
image replay_ch3_bree:
    "011 Introduction/after/aint74b_cz.jpg"
    zoom 0.2
image replay_ch4_sex:
    "017 Seduce/se224_abt3.jpg"
    zoom 0.2

image replay_lewd:
    "menu/replaytag_lewd.png"

image replay_sexual:
    "menu/replaytag_sexual.png"

screen replay():
    tag menu
    add "menu/bg_eve.png"
    textbutton "Unlock all" xpos 800 ypos 1 action Function(unlock_scenes) style "gallerBig2"
    $ tooltip = GetTooltip()
    if tooltip:
        frame:
            xalign 1.0
            yalign 1.0
            background None
            xpadding 25
            ypadding 20
            text "[tooltip]" style "tooltip_pref" xalign 0.5

    frame:
        background None yalign 0.5 xalign 0.95
        has side ("c r"):
            area (1,0,1290,930)
        viewport id "my_scroller":
            draggable True mousewheel True
            has vbox
            hbox:
                button:
                    style "replay_button"
                    action Confirm("Do you want to replay this scene?", Replay("ch2_hallway_A", locked=False)), SensitiveIf(persistent.replay_ch01_mia == True)
                    text "CH02 Mia's Dress" style "replay_button_text"
                    if persistent.replay_ch01_mia:
                        add "replay_ch1_mia" xalign 0.5 ypos 15
                    add "replay_lewd" xalign 0.92 yalign .1

                button:
                    style "replay_button"
                    action Confirm("Do you want to replay this scene?", Replay("ch2_scene1", locked=False)), SensitiveIf(persistent.replay_ch02 == True)
                    text "CH02 Daydream" style "replay_button_text"
                    if persistent.replay_ch02:
                        add "replay_ch02" xalign 0.5 ypos 15
                    add "replay_lewd" xalign 0.92 yalign .1
                
                button:
                    style "replay_button"
                    action Confirm("Do you want to replay this scene?", Replay("ch3_bree_model", locked=False)), SensitiveIf(persistent.replay_ch03_bree == True)
                    text "CH03 Bree Photo Session" style "replay_button_text"
                    if persistent.replay_ch03_bree:
                        add "replay_ch3_bree" xalign 0.5 ypos 15
                    add "replay_lewd" xalign 0.92 yalign .1

            hbox:   
                 button:
                    style "replay_button"
                    action Confirm("Do you want to replay this scene?", Replay("ch4_sex", locked=False)), SensitiveIf(persistent.replay_ch04_cass == True)
                    text "CH04 Entertaining [persistent.milfMenuName]" style "replay_button_text"
                    if persistent.replay_ch04_cass:
                        add "replay_ch4_sex" xalign 0.5 ypos 15
                    add "replay_sexual" xalign 0.92 yalign .1

        vbar value YScrollValue("my_scroller") style "basic_bar"

    vbox:
        xalign 1.0
        textbutton "?" ypos 10 xpos -10 action Show("replay_help", transition=Dissolve(0.5)) style "gallerBig2"

    use gallery_navigation


screen to_gallery():
    tag menu
    add "menu/bg_eve.png"
    textbutton "My photos" xcenter 0.75 ycenter 0.25 action ShowMenu("gallery_photos")
    hbox:
        xalign 0.77 yalign 0.5 spacing 100
        imagebutton:
            idle "gui/mm/image_gallery_idle.png" hover "gui/mm/image_gallery_hover.png"
            action ShowMenu("gallery") tooltip "Your unlocked bonus images can be found here."
        if main_menu:
            imagebutton auto "gui/mm/scene_replay_%s.png" action ShowMenu("replay") tooltip "Your unlocked lewd scenes can be found here."
        else:
            imagebutton:
                idle "gui/mm/scene_replay_idle.png" hover "gui/mm/scene_replay_hover2.png"
                action NullAction() tooltip "You must be in the main menu to access this."

    use navigation

default passwordMystery = "???"
screen mysteryPassword():
    modal True
    zorder 100
    style_prefix "confirm"
    add "gui/overlay/confirm.png"
    frame:
        yalign 0.5 xalign 0.5 xpadding 100
        has vbox:
            spacing 45
        label _("Password?"):
            style "confirm_prompt" xpadding 20 xalign 0.5
        input value VariableInputValue("passwordMystery"):
            length 10
            xalign 0.5
            default "???"
            exclude "{}[]"
            color my_hover_color
        hbox:
            xalign 0.5 spacing 20
            textbutton "Unlock" action [SensitiveIf(passwordMystery.lower().strip() == "hunter2"), SetVariable("persistent.unlocked_stew_01", True), Play("sound", bonus_image), Hide("mysteryPassword", transition=Dissolve(0.5))]
            textbutton "Give Up" action Hide("mysteryPassword", transition=Dissolve(0.5))
    if passwordMystery == "hunter2":
        key "input_enter" action [SensitiveIf(passwordMystery.lower().strip() == "hunter2"), SetVariable("persistent.unlocked_stew_01", True), Play("sound", bonus_image), Hide("mysteryPassword", transition=Dissolve(0.5))]
    else:
        key "input_enter" action Show("mysteryPassword"), Play("sound", "audio/sfx/error.mp3")

image gallery_mia:
    "menu/med_mia.png"
image gallery_eve:
    "menu/med_eve.png"
image gallery_bree:
    "menu/med_bree.png"
image gallery_sophie:
    "menu/med_sophie.png"
image gallery_teacher:
    "menu/med_teacher.png"


image gallery_animation:

    contains:
        alpha 1.0
        "gallery_mia"
        pause 6
        ease 1.0 alpha 0.0

        alpha 1.0
        "gallery_sophie"
        pause 6
        ease 1.0 alpha 0.0

        alpha 1.0
        "gallery_eve"
        pause 6
        ease 1.0 alpha 0.0

        alpha 1.0
        "gallery_bree"
        pause 6
        ease 1.0 alpha 0.0

        alpha 1.0
        "gallery_teacher"
        pause 6
        ease 1.0 alpha 0.0

        repeat

style gallery_sound:
    hover_sound gallery_sound
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
